﻿<%@ Page Language="vb" Title="" AutoEventWireup="false" CodeBehind="Dashboard.aspx.vb" Inherits="ci_oof_web.DashboardPage" MasterPageFile="~/Shared/MasterPageLayout.master" %>

<asp:Content ContentPlaceHolderID="Content" runat="server">
    <telerik:RadAjaxManager ID="RadAjaxManger" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="gvAppointments">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvAppointments" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
    </telerik:RadAjaxLoadingPanel>

    <div class="container">
        <div class="row" style="margin-top: 30px;">
            <div class="col-sm-2">
                <div class="text-center skin-primary-bg">
                    <telerik:RadLabel ID="lblTodayDay" runat="server" Text="19" Font-Size="50pt" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                    <br />
                    <telerik:RadLabel ID="lblTodayDate" runat="server" Text="19.08.2014" Font-Size="12pt" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                    <br />
                    <telerik:RadLabel ID="lblTodayTime" runat="server" Text="09:56" Font-Size="12pt" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                    <br />
                    <telerik:RadLabel ID="lblTodayTimeUTC" runat="server" Text="08:56" Font-Size="12pt" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                    <br />
                    <telerik:RadLabel ID="lblTodayWeekday" runat="server" Text="Thuesday" Font-Size="12pt" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                    <br />
                    <br />
                </div>
            </div>
        </div>
        <asp:Panel ID="pnlQuestion" runat="server">
            <div class="row" style="margin: 0px !important; padding-top: 15px !important; padding-left: 0px!important; padding-right: 0px !important">
                <div class="col-sm-12">
                    <table style="width: 100%">
                        <tbody>
                            <tr>
                                <td style="vertical-align: middle; text-align: left; width: 50px; color: darkblue;">
                                    <i class="fa fa-question-circle fa-2x"></i>
                                </td>
                                <td style="padding-left: 10px; vertical-align: middle;">
                                    <telerik:RadLabel ID="lblQuestion" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                </td>
                                <td style="vertical-align: middle; text-align: right; width: 200px;">
                                    <telerik:RadButton ID="btnYes" Primary="true" runat="server" Style="min-width: 80px;">
                                        <ContentTemplate>
                                            <i class="fa fa-check"></i>
                                            <asp:Literal ID="lblYes" runat="server" Text="Yes"></asp:Literal>
                                        </ContentTemplate>
                                    </telerik:RadButton>
                                    <telerik:RadButton ID="btnNo" Primary="true" runat="server" Style="min-width: 80px;">
                                        <ContentTemplate>
                                            <i class="fa fa-close"></i>
                                            <asp:Literal ID="lblNo" runat="server" Text="No"></asp:Literal>
                                        </ContentTemplate>
                                    </telerik:RadButton>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <br />
        </asp:Panel>

        <%-- Warning panel --%>
        <asp:Panel ID="pnlWarning" runat="server">
            <div class="row" style="margin: 10px 0 10px 0 !important; padding-top: 7px !important; padding-bottom: 7px !important; border: 1px solid #808080;">
                <div class="col-sm-12 col-md-9" style="line-height: 2em; font-size: 110%;">
                    <i class="fa fa-warning fa-2x"></i>&nbsp;<asp:Literal ID="literalWarning" runat="server" Text="Label" />
                </div>
                <div class="col-sm-12 col-md-3 text-right">
                    <telerik:RadButton ID="btnClose" Primary="true" runat="server" Style="min-width: 80px;">
                        <ContentTemplate>
                            <i class="fa fa-close"></i>
                            <asp:Literal ID="lblClose" runat="server" Text="Close"></asp:Literal>
                        </ContentTemplate>
                    </telerik:RadButton>
                </div>
            </div>
        </asp:Panel>


        <div>
            <br />
            <br />
            <div class="form-group">
                <table class="control-table">
                    <tbody>
                        <tr>
                            <td style="width: 150px;">
                                <telerik:RadLabel ID="lblTimezone1" runat="server" Text="Timezone:" AssociatedControlID="CTZComboBox" CssClass="skin-color"></telerik:RadLabel>
                            </td>
                            <td>
                                <telerik:RadComboBox ID="CTZComboBox" AutoPostBack="true" runat="server" Width="100%"></telerik:RadComboBox>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <telerik:RadGrid MasterTableView-AllowMultiColumnSorting="true" AllowSorting="true" ID="gvAppointments" runat="server" AutoGenerateColumns="False" onfocus="this.blur();" AllowPaging="true" GridLines="None" PageSize="10">
                    <MasterTableView DataKeyNames="name" ClientDataKeyNames="name">
                        <Columns>
                            <telerik:GridClientSelectColumn ItemStyle-CssClass="text-center"></telerik:GridClientSelectColumn>
                            <telerik:GridBoundColumn DataField="name" HeaderText="Name" ShowSortIcon="true"></telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="from" DataType="System.DateTime" HeaderText="Startdate" DataFormatString="{0:d}"></telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="tfrom" DataFormatString="{0:t}" HeaderText="From" />
                            <telerik:GridBoundColumn DataField="to" HeaderText="Enddate" DataFormatString="{0:d}"></telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="tto" DataFormatString="{0:t}" HeaderText="To" />
                            <telerik:GridBoundColumn DataField="timezone" HeaderText="Timezone"></telerik:GridBoundColumn>
                        </Columns>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="from" SortOrder="Ascending" />
                        </SortExpressions>
                    </MasterTableView>
                    <ClientSettings EnablePostBackOnRowClick="true">
                        <Selecting AllowRowSelect="true" />
                 <%--       <ClientEvents OnRowSelected="rowSelected" OnRowDeselected="rowDeselected" />--%>
                    </ClientSettings>
                </telerik:RadGrid>
                <input type="hidden" id="contextItemID" />
                <br />
                <br />

            </div>
            <br />
        </div>
    </div>


</asp:Content>

