﻿<%@ Page Title="Replacements" Language="VB" AutoEventWireup="false" CodeBehind="OoFSubject.aspx.vb" Inherits="ci_oof_web.OoFSubjectPage" MasterPageFile="~/Shared/MasterPageLayout.Master" ValidateRequest="false" EnableEventValidation="true" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Head" runat="server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="server">
    <telerik:RadAjaxManager ID="RadAjaxManger" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="AddButton">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="grid" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Grid">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
    </telerik:RadAjaxLoadingPanel>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel2" runat="server">
    </telerik:RadAjaxLoadingPanel>


    <telerik:RadSplitter RenderMode="Lightweight" ID="RadSplitter" runat="server" Orientation="Horizontal" LiveResize="true"
        BorderSize="0" BorderWidth="0" PanesBorderSize="0" BorderStyle="None" Width="100%" Height="100%" VisibleDuringInit="false">

        <telerik:RadPane ID="RadPane3" runat="server" Height="48">
            <div style="padding: 5px;">
                <asp:HyperLink ID="hlBack" runat="server" NavigateUrl="~/OofConfig.aspx" CssClass="skin-color">
                        <span class="fa fa-arrow-left" style="padding-right: 10px;"></span></asp:HyperLink>
                <telerik:RadButton ID="AddButton" runat="server" Primary="true" Text="Add"></telerik:RadButton>
            </div>
        </telerik:RadPane>
        <telerik:RadSplitBar ID="RadSplitBar1" runat="server" EnableResize="false" />
        <telerik:RadPane ID="RadPane1" runat="server">
            <telerik:RadGrid ID="Grid" runat="server" SortingSettings-EnableSkinSortStyles="true" BorderWidth="0px" Height="100%" AllowSorting="false" AutoGenerateColumns="false" ShowHeader="true">
                <MasterTableView EditMode="EditForms" NoMasterRecordsText="">
                    <Columns>
                        <telerik:GridBoundColumn DataField="Subject" HeaderText="Subject" UniqueName="Subject" ColumnEditorID="Subject" HtmlEncode="true">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Category" HeaderText="Category" UniqueName="Category" HtmlEncode="True">
                        </telerik:GridBoundColumn>
                        <telerik:GridEditCommandColumn UniqueName="MyGridEditCommandColumn" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton text-nowrap" HeaderStyle-CssClass="rgRowActionButton" ButtonType="LinkButton">
                        </telerik:GridEditCommandColumn>
                        <telerik:GridButtonColumn UniqueName="MyGridDeleteCommandColumn" ButtonType="LinkButton" Text="Delete" CommandName="Delete" ConfirmText="Delete?" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton" HeaderStyle-CssClass="rgRowActionButton">
                        </telerik:GridButtonColumn>
                    </Columns>
                     <SortExpressions>
                            <telerik:GridSortExpression FieldName="Subject" SortOrder="Ascending" />
                        </SortExpressions>
                    <EditFormSettings EditFormType="Template">
                        <FormTemplate>
                            <div class="row" style="padding: 10px;">
                                <div class="col-sm-6">
                                    <asp:Label runat="server" ID="SubjectLabel" AssociatedControlID="SubjectComboBox" Text="GroupName"></asp:Label>
                                    <div>
                                        <telerik:RadComboBox runat="server" ID="SubjectComboBox" Width="100%" AllowCustomText="true"></telerik:RadComboBox>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <asp:Label runat="server" ID="CategoryLabel" AssociatedControlID="CategoryComboBox" Text="Priority"></asp:Label>
                                    <div>
                                        <telerik:RadComboBox runat="server" ID="CategoryComboBox" Width="100%" AllowCustomText="true"></telerik:RadComboBox>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <telerik:RadButton ID="UpdateButton" Text='<%# IIf((TypeOf (Container) Is GridEditFormInsertItem), "Add", "Save") %>' runat="server" CommandName='<%# IIf((TypeOf (Container) Is GridEditFormInsertItem), "PerformInsert", "Update")%>'></telerik:RadButton>
                                    <telerik:RadButton ID="CancelButton" Text="Cancel" runat="server" CausesValidation="False" CommandName="Cancel"></telerik:RadButton>
                                </div>
                            </div>
                        </FormTemplate>
                    </EditFormSettings>
                </MasterTableView>
                <ClientSettings EnableRowHoverStyle="true">
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>

            <br />
            <br />
            
            <asp:Label runat="server" ID="DefLabel" AssociatedControlID="cboDefaultSubject" Text="Standard / Default:   "></asp:Label>
            <br />
            <telerik:RadComboBox runat="server" ID="cboDefaultSubject" Width="30%" AllowCustomText="true" ></telerik:RadComboBox><br />
            <telerik:RadButton ID="bnDefaultOK" runat="server" Primary="true" Text="OK"></telerik:RadButton>

        </telerik:RadPane>

    </telerik:RadSplitter>
</asp:Content>
