﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="OofAction3.aspx.vb" Inherits="ci_oof_web.OofAction3Page" MasterPageFile="~/Shared/MasterPageLayout.master" %>

<asp:Content ContentPlaceHolderID="Content" runat="server">
    <telerik:RadAjaxPanel ID="myPanel" runat="server" LoadingPanelID="RadAjaxLoadingPanel1">

        <div class="container">
            <div class="row">
                <div class="col-sm-12" style="margin: 10px 0;">
                    <h2 class="skin-color">
                        <asp:HyperLink ID="hlBack" runat="server" NavigateUrl="~/Default.aspx" CssClass="skin-color">
                        <span class="fa fa-arrow-left" style="padding-right: 10px;"></span></asp:HyperLink>
                        <asp:Literal ID="ltActionHeader" runat="server">Caption</asp:Literal>
                    </h2>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <telerik:RadWizard ID="RadWizard" runat="server" DisplayProgressBar="false" DisplayNavigationButtons="false" Style="padding-left: 0; padding-right: 0; margin-bottom: 15px;">
                        <WizardSteps>
                            <telerik:RadWizardStep ID="RadWizardStep1" Title="Step 1" Enabled="false" CssClass="text-center">
                            </telerik:RadWizardStep>
                            <telerik:RadWizardStep ID="RadWizardStep2" Title="Step 2" Enabled="false" CssClass="text-center">
                            </telerik:RadWizardStep>
                            <telerik:RadWizardStep ID="RadWizardStep3" Title="Step 3" Active="true" CssClass="text-center">
                            </telerik:RadWizardStep>
                        </WizardSteps>
                    </telerik:RadWizard>

                    <div class="row">
                        <div class="col-sm-12">
                            <div>
                                <telerik:RadLabel ID="uiGBPreview" runat="server" Text="Preview (Changes are not saved)" CssClass="skin-color"></telerik:RadLabel>
                            </div>
                            <div style="margin-bottom: 15px;">
                                <telerik:RadCheckBox ID="cbUseSameMessage" runat="server" AutoPostBack="True" Text="Use same Message for external and internal" CssClass="skin-color"></telerik:RadCheckBox>
                                <asp:Literal ID="ltcbUseSameMessage" runat="server" Text="False"></asp:Literal>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-6">
                            <telerik:RadLabel ID="lblMessage" runat="server" Text="External Reply:" AssociatedControlID="tbMessage" CssClass="skin-color"></telerik:RadLabel>
                            <asp:Panel ID="pnlMessage" runat="server" Width="100%" Height="290px">
                                <iframe name="iFrameExternal" id="iFrameExternal" style="border: 1px solid #ccc;" width="100%" height="100%" runat="server"></iframe>
                            </asp:Panel>
                        </div>
                        <div class="col-sm-6">
                            <asp:Panel ID="pnlMessageInt" runat="server">
                                <telerik:RadLabel ID="lblMessageInternal" runat="server" Text="Internal Reply:" AssociatedControlID="tbInternalMessage" CssClass="skin-color"></telerik:RadLabel>
                                <asp:Panel ID="pnlInternalMessage" runat="server" Width="100%" Height="290px">
                                    <iframe name="iFrameInternal" id="iFrameInternal" style="border: 1px solid #ccc;" width="100%" height="100%" runat="server"></iframe>
                                </asp:Panel>
                            </asp:Panel>
                        </div>
                    </div>


                    <div class="row" style="margin-top: 15px; margin-bottom: 15px;">
                        <div class="col-sm-7">
                            <div>
                                <telerik:RadLabel ID="gbRecipient" runat="server" Text="Recipient:" CssClass="skin-color"></telerik:RadLabel>
                            </div>
                            <div style="padding-left: 15px;">
                                <telerik:RadCheckBox ID="cbSendOutside" runat="server" AutoPostBack="True" Text="Send Out of Office auto-replies to external senders" CssClass="skin-color"></telerik:RadCheckBox>
                                <asp:Literal ID="ltcbSendOutside" runat="server" Text="False"></asp:Literal>
                            </div>
                            <div style="padding-left: 30px;">
                                <telerik:RadButton ID="rbSendJustKnown" runat="server" ButtonType="ToggleButton" ToggleType="Radio" GroupName="grpExternal" AutoPostBack="True" CssClass="skin-color" Text="Send only to senders in my contact list"></telerik:RadButton>
                                <asp:Literal ID="ltrbSendJustKnown" runat="server" Text="False"></asp:Literal>
                            </div>
                            <div style="padding-left: 30px;">
                                <telerik:RadButton ID="rbSendAll" runat="server" ButtonType="ToggleButton" ToggleType="Radio" GroupName="grpExternal" AutoPostBack="True" CssClass="skin-color" Text="Send to anyone outside my organization"></telerik:RadButton>
                                <asp:Literal ID="ltrbSendAll" runat="server" Text="False"></asp:Literal>
                            </div>
                        </div>
                        <div class="col-sm-5">
                            <asp:Panel ID="pnlgbOptions" runat="server">
                                <div>
                                    <telerik:RadLabel ID="gbOptions" runat="server" Text="Options:" CssClass="skin-color"></telerik:RadLabel>
                                </div>
                                <div style="padding-left: 15px;">
                                    <telerik:RadButton ID="rbAppointmenttype0" runat="server" ButtonType="ToggleButton" ToggleType="Radio" GroupName="grpOptions" AutoPostBack="True" CssClass="skin-color" Text="Default"></telerik:RadButton>
                                </div>
                                <div style="padding-left: 15px;">
                                    <telerik:RadButton ID="rbAppointmenttype1" runat="server" ButtonType="ToggleButton" ToggleType="Radio" GroupName="grpOptions" AutoPostBack="True" CssClass="skin-color" Text="Only public calender entry"></telerik:RadButton>
                                </div>
                                <div style="padding-left: 15px;">
                                    <telerik:RadButton ID="rbAppointmenttype2" runat="server" ButtonType="ToggleButton" ToggleType="Radio" GroupName="grpOptions" AutoPostBack="True" CssClass="skin-color" Text="No public calender entry"></telerik:RadButton>
                                </div>
                            </asp:Panel>
                        </div>
                    </div>

                    <br />
                    <div class="row" style="margin-bottom: 15px;">
                        <div class="col-sm-12">
                            <asp:Panel ID="pnlWarning" runat="server">
                                <table style="width: 100%">
                                    <tbody>
                                        <tr>
                                            <td style="vertical-align: middle; text-align: left; width: 50px; color: orange">
                                                <i class="fa fa-warning fa-2x"></i>
                                            </td>
                                            <td style="padding-left: 10px; vertical-align: middle;">
                                                <telerik:RadLabel ID="lblWarning" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="vertical-align: middle; text-align: right; width: 120px;">
                                                <telerik:RadButton ID="btnClose" Primary="true" runat="server" Style="min-width: 100px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-close"></i>
                                                        <asp:Literal ID="lblClose" runat="server" Text="Close"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </asp:Panel>
                        </div>
                    </div>
                    <asp:Panel ID="pnlQuestion" runat="server">
                        <div class="row" style="margin-bottom: 15px;">
                            <div class="col-sm-12">
                                <table style="width: 100%">
                                    <tbody>
                                        <tr>
                                            <td style="vertical-align: middle; text-align: left; width: 50px; color: darkblue;">
                                                <i class="fa fa-question-circle fa-2x"></i>
                                            </td>
                                            <td style="padding-left: 10px; vertical-align: middle;">
                                                <telerik:RadLabel ID="lblQuestion" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="vertical-align: middle; text-align: right; width: 200px;">
                                                <telerik:RadButton ID="btnYes" Primary="true" runat="server" Style="min-width: 80px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-check"></i>
                                                        <asp:Literal ID="lblYes" runat="server" Text="Yes"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                                <telerik:RadButton ID="btnNo" Primary="true" runat="server" Style="min-width: 80px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-close"></i>
                                                        <asp:Literal ID="lblNo" runat="server" Text="No"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </asp:Panel>
                    <asp:Panel ID="pnlMainButtons" runat="server">
                        <div class="row" style="margin-bottom: 15px;">
                            <div class="col-sm-12 text-right">
                                <telerik:RadLabel ID="lblInputRequired" runat="server" Text="* Input required" Style="margin-right: 15px; vertical-align: middle;"></telerik:RadLabel>
                                &nbsp;&nbsp;&nbsp;
                            <telerik:RadButton ID="btnPrevious" Primary="true" runat="server" Style="min-width: 100px; vertical-align: middle;">
                                <ContentTemplate>
                                    <i class="fa fa-arrow-left"></i>
                                    <asp:Literal ID="lblPrevious" runat="server" Text="Previous"></asp:Literal>
                                </ContentTemplate>
                            </telerik:RadButton>
                                <telerik:RadButton ID="btnSave" Primary="true" runat="server" Style="min-width: 100px; vertical-align: middle;">
                                    <ContentTemplate>
                                        <i class="fa fa-check"></i>
                                        <asp:Literal ID="lblSave" runat="server" Text="Save"></asp:Literal>
                                    </ContentTemplate>
                                </telerik:RadButton>
                                <telerik:RadButton ID="btnCancel" Primary="true" runat="server" Style="min-width: 100px; vertical-align: middle;">
                                    <ContentTemplate>
                                        <i class="fa fa-close"></i>
                                        <asp:Literal ID="lblCancel" runat="server" Text="Cancel"></asp:Literal>
                                    </ContentTemplate>
                                </telerik:RadButton>
                            </div>
                            <br />
                            <div class="col-sm-12">
                                <asp:Literal ID="Literal1" runat="server">...</asp:Literal><br />
                            </div>
                        </div>
                    </asp:Panel>

                    <asp:Panel ID="pnlGroup" Visible="false" runat="server" CssClass="bg-warning" Style="padding: 10px;">
                        <div class="row" style="margin-bottom: 15px;">
                            <div class="col-sm-12" >
                                Diesen Termin an eine Gruppe verteilen
                            </div>
                        </div>

                        <div class="row" style="margin-bottom: 15px;">
                            <div class="col-sm-6">

                                <asp:ObjectDataSource ID="GroupsDataSource" runat="server" SelectMethod="GetGroupsExceptAllUsers" TypeName="ci_oof_web.Services.GroupService"></asp:ObjectDataSource>
                                <telerik:RadComboBox ID="GroupCombo" Filter="Contains" DataTextField="Groupname" DataValueField="Groupname" ItemsPerRequest="20" Width="100%" EmptyMessage="Search (2 characters min)"
                                    ShowMoreResultsBox="true" MarkFirstMatch="true" MaxHeight="250" ShowDropDownOnTextboxClick="true" HighlightTemplatedItems="true"
                                    EnableAutomaticLoadOnDemand="true" EnableItemCaching="true" DataSourceID="GroupsDataSource" DropDownWidth="350" EnableVirtualScrolling="true" runat="server" Sort="Ascending">
                                    <HeaderTemplate>
                                        <div style="width: 210px; overflow-wrap: break-word; float: left;">
                                            <asp:Literal ID="LiteralHeaderGroup" runat="server" Text="Group" /></div>
                                        <div style="width: 80px; margin-left: 5px; float: left;">
                                            <asp:Literal ID="LiteralHeaderMembers" runat="server" Text="Prio" /></div>
                                        <div style="clear: both;"></div>
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <div style="width: 210px; overflow-wrap: break-word; float: left;"><%# DataBinder.Eval(Container.DataItem, "Groupname")%> </div>
                                        <div style="width: 80px; margin-left: 5px; float: left;"><%# DataBinder.Eval(Container.DataItem, "Priority")%> </div>
                                    </ItemTemplate>
                                </telerik:RadComboBox>

                            </div>
                            <div class="col-sm-6 text-right">

                                <telerik:RadButton ID="btnProcessGroup" Primary="true" runat="server" Style="min-width: 100px; vertical-align: middle;">
                                    <ContentTemplate>
                                        <i class="fa fa-share"></i>
                                        <asp:Literal ID="lblProcessGroup" runat="server" Text="Verteilen"></asp:Literal>
                                    </ContentTemplate>
                                </telerik:RadButton>

                            </div>
                        </div>
                    </asp:Panel>

                </div>
            </div>
        </div>
    </telerik:RadAjaxPanel>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" InitialDelayTime="500" MinDisplayTime="500">
    </telerik:RadAjaxLoadingPanel>
</asp:Content>
