﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="OofWLB.aspx.vb" Inherits="ci_oof_web.OofWLBPage" MasterPageFile="~/Shared/MasterPageLayout.master" %>

<asp:Content ContentPlaceHolderID="Content" runat="server">
    <telerik:RadAjaxPanel ID="myPanel" runat="server">

        <div class="container">
            <div class="row">
                <div class="col-sm-12" style="margin: 10px 0;">
                    <h3>
                        <telerik:RadLabel ID="lblTop" runat="server" Text="Define your Work-Life-Balance" CssClass="skin-color"></telerik:RadLabel>
                    </h3>
                    <h2 class="skin-color">
                        <asp:HyperLink ID="hlBack" runat="server" NavigateUrl="~/OofAction2.aspx" CssClass="skin-color">
                        <span class="fa fa-arrow-left" style="padding-right: 10px;"></span></asp:HyperLink>
                        <asp:Literal ID="lblSD" runat="server">Work-Life-Balance</asp:Literal>
                    </h2>
                    <br />
                    <telerik:RadButton ID="bnWLBGetState" runat="server" AutoPostBack="True" Text="Get state" CssClass="skin-color"></telerik:RadButton>
                    <br />
                    <telerik:RadCheckBox ID="cbWLBRuleExist" runat="server" Text="WLB-Rule exist"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadButton ID="bnWLBMoveToInbox" runat="server" AutoPostBack="True" Text="To Inbox" CssClass="skin-color"></telerik:RadButton>
                    <br />
                    <telerik:RadLabel ID="lblItemsInFolder" runat="server" Text="Items in Folder: 0" CssClass="skin-color"></telerik:RadLabel>
                    <br />
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <asp:Panel ID="pnlDateTime" runat="server">
                        <div class="form-group">
                            <telerik:RadLabel ID="gbDefine" Text="Active Directory" runat="server" />
                            <table class="control-table">
                                <tbody>
                                    <tr>
                                        <td style="width: 100px;">
                                            <telerik:RadLabel ID="lblFrom" runat="server" Text="Start time:" AssociatedControlID="jsccWLBStartDate" CssClass="skin-color"></telerik:RadLabel>
                                        </td>
                                        <td style="padding-right: 10px;">
                                            <telerik:RadDatePicker ID="jsccWLBStartDate" runat="server" Width="100%">
                                                <ClientEvents OnDateSelected="selectedDateChanged" />
                                                <Calendar runat="server">
                                                    <FastNavigationSettings EnableTodayButtonSelection="true">
                                                    </FastNavigationSettings>
                                                </Calendar>
                                            </telerik:RadDatePicker>
                                            <asp:Literal ID="ltDatePickerStartDate" runat="server"></asp:Literal>
                                        </td>
                                        <td style="width: 100px;">
                                            <asp:Panel ID="pnlStartTime" runat="server">
                                                <telerik:RadComboBox AccessibilityMode="true" ID="jsccWLBStartTime" runat="server" Width="100%" OnClientSelectedIndexChanged="OnClientSelectedIndexChanged">
                                                </telerik:RadComboBox>
                                            </asp:Panel>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>

                        <div class="form-group">
                            <table class="control-table">
                                <tbody>
                                    <tr>
                                        <td style="width: 100px;">
                                            <telerik:RadLabel ID="lblTo" runat="server" Text="End time:" AssociatedControlID="jsccWLBEndDate" CssClass="skin-color"></telerik:RadLabel>
                                        </td>
                                        <td style="padding-right: 10px;">
                                            <telerik:RadDatePicker ID="jsccWLBEndDate" runat="server" Width="100%">
                                                <Calendar runat="server">
                                                    <FastNavigationSettings EnableTodayButtonSelection="true" />
                                                </Calendar>
                                                <ClientEvents OnDateSelected="selectedDateChanged" />
                                            </telerik:RadDatePicker>
                                            <asp:Literal ID="ltDatePickerEndDate" runat="server"></asp:Literal>
                                        </td>
                                        <td style="width: 100px;">
                                            <asp:Panel ID="pnlEndTime" runat="server">
                                                <telerik:RadComboBox ID="jsccWLBEndTime" runat="server" Width="100%" OnClientSelectedIndexChanged="OnClientSelectedIndexChanged"></telerik:RadComboBox>
                                            </asp:Panel>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

                            <br />
                            <br />
                            <telerik:RadLabel ID="lblPriority" runat="server" Text="Priority: 0" CssClass="skin-color"></telerik:RadLabel>
                            <br />
                            <telerik:RadCheckBox ID="cbJustWLB" runat="server" Text="Just WLB-Entry - Do not send Automatic Reply"></telerik:RadCheckBox>
                            <br />
                            <telerik:RadButton ID="bnAdmin" runat="server" AutoPostBack="True" Text="Admin" CssClass="skin-color"></telerik:RadButton>

                            <br />
                            <asp:Panel ID="gbWLB1Admin" runat="server">

                                <telerik:RadLabel ID="gbWLBAdmin" Text="Active Directory" runat="server" />
                                <br />

                                <telerik:RadButton ID="bnWLBCreateFolder" runat="server" AutoPostBack="True" Text="Create Folder" CssClass="skin-color"></telerik:RadButton>

                                <telerik:RadButton ID="bnWLBShowFolder" runat="server" AutoPostBack="True" Text="Show" CssClass="skin-color"></telerik:RadButton>

                                <telerik:RadButton ID="bnWLBHideFolder" runat="server" AutoPostBack="True" Text="Hide" CssClass="skin-color"></telerik:RadButton>

                                <telerik:RadButton ID="bnWLBDeleteFolder" runat="server" AutoPostBack="True" Text="Delete Folder" CssClass="skin-color"></telerik:RadButton>
                                <br />


                                <telerik:RadButton ID="bnWLBMoveToWLB" runat="server" AutoPostBack="True" Text="To WLB Folder" CssClass="skin-color"></telerik:RadButton>

                                <br />

                                <telerik:RadButton ID="bnWLBCreateRule" runat="server" AutoPostBack="True" Text="Create Rule" CssClass="skin-color"></telerik:RadButton>
                                <telerik:RadButton ID="bnWLBDeleteRule" runat="server" AutoPostBack="True" Text="Delete Rule" CssClass="skin-color"></telerik:RadButton>
                                <telerik:RadButton ID="bnWLBGetRule" runat="server" AutoPostBack="True" Text="Get Rule" CssClass="skin-color"></telerik:RadButton>

                                <br />

                                <br />

                                <telerik:RadLabel ID="lblWLBInfo" runat="server" Text="..." CssClass="skin-color"></telerik:RadLabel>

                                <br />

                                <telerik:RadButton ID="btOK" Primary="true" runat="server" Style="min-width: 100px; vertical-align: middle;">
                                    <ContentTemplate>
                                        <i class="fa fa-check"></i>
                                        <asp:Literal ID="lblOK" runat="server" Text="Save"></asp:Literal>
                                    </ContentTemplate>
                                </telerik:RadButton>
                                <telerik:RadButton ID="btCancel" Primary="true" runat="server" Style="min-width: 100px; vertical-align: middle;">
                                    <ContentTemplate>
                                        <i class="fa fa-close"></i>
                                        <asp:Literal ID="lblCancel" runat="server" Text="Cancel"></asp:Literal>
                                    </ContentTemplate>
                                </telerik:RadButton>

                            </asp:Panel>
                        </div>
                    </asp:Panel>
                </div>
            </div>

            <%-- Panel-Warning --%>
            <div class="row" style="margin-bottom: 15px; margin-top: 25px;">
                <div class="col-sm-12">
                    <asp:Panel ID="pnlWarning" runat="server">
                        <table style="width: 100%">
                            <tbody>
                                <tr>
                                    <td style="vertical-align: middle; text-align: left; width: 50px; color: orange">
                                        <i class="fa fa-warning fa-2x"></i>
                                    </td>
                                    <td style="padding-left: 10px; vertical-align: middle;">
                                        <telerik:RadLabel ID="lblWarning" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                    </td>
                                    <td style="vertical-align: middle; text-align: right; width: 120px;">
                                        <telerik:RadButton ID="btnClose" Primary="true" runat="server" Style="min-width: 100px;">
                                            <ContentTemplate>
                                                <i class="fa fa-close"></i>
                                                <asp:Literal ID="lblClose" runat="server" Text="Close"></asp:Literal>
                                            </ContentTemplate>
                                        </telerik:RadButton>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </asp:Panel>
                </div>
            </div>
        </div>
    </telerik:RadAjaxPanel>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" InitialDelayTime="500" MinDisplayTime="500">
    </telerik:RadAjaxLoadingPanel>

</asp:Content>
<asp:Content ContentPlaceHolderID="Script" runat="server">
    <script type="text/javascript">

        //Checks the values of start, end and switch date and changes invalid values if they exist
        function selectedDateChanged(sender, args) {
            var startCalender = GetDateControlNotEmpty("<%=jsccWLBStartDate.ClientID%>");
            var endDateCalender = GetDateControlNotEmpty("<%=jsccWLBEndDate.ClientID%>");

            var startDate = startCalender.get_selectedDate();
            var endDate = endDateCalender.get_selectedDate();

            if (endDate < startDate) {
                if (sender.get_id().startsWith("<%=jsccWLBStartDate.ClientID%>")) {
                    endDate = startDate;
                    endDateCalender.set_selectedDate(endDate);
                }
                else {
                    startDate = endDate;
                    startCalender.set_selectedDate(startDate);
                }
            }
        };

        //validates the following rule:
        //if the start and end date are on the same day, the time difference must be equal or greater than 30 min
        function OnClientSelectedIndexChanged(sender, eventArgs) {
            var startCalender = $find("<%=jsccWLBStartDate.ClientID%>");
            var endDateCalender = $find("<%=jsccWLBEndDate.ClientID%>");
            var startTime = $find("<%=jsccWLBStartTime.ClientID%>")
            var endTime = $find("<%=jsccWLBEndTime.ClientID%>")

            startTime.trackChanges();
            endTime.trackChanges();

            if (endDateCalender.get_selectedDate().toDateString() == startCalender.get_selectedDate().toDateString()) {

                if (startTime._selectedIndex >= endTime._selectedIndex) {
                    if (sender === startTime) {
                        var times = endTime.get_items()._array
                        if (startTime._selectedIndex != times.length - 1) {
                            var index = startTime.get_selectedIndex();
                            var item = times[++index];
                            endTime.set_selectedItem(item);
                            endTime.set_text(item.get_text());
                        }
                        else {
                            var item = times[times.length - 2];
                            startTime.set_selectedItem(item);
                            startTime.set_text(item.get_text());
                            var item = times[times.length - 1];
                            endTime.set_selectedItem(item);
                            endTime.set_text(item.get_text());
                        }
                    }
                    else if (sender === endTime) {
                        if (endTime._selectedIndex != 0) {
                            var index = endTime.get_selectedIndex();
                            var item = endTime.get_items()._array[--index];
                            startTime.set_selectedItem(item);
                            startTime.set_text(item.get_text());
                        }
                        else {
                            var item = endTime.get_items()._array[0];
                            startTime.set_selectedItem(item);
                            startTime.set_text(item.get_text());
                            var item = endTime.get_items()._array[1];
                            endTime.set_selectedItem(item);
                            endTime.set_text(item.get_text());
                        }
                    }
                }
            }

            startTime.commitChanges();
            endTime.commitChanges();
        };


        //Gets the control with the specified name and ensures that there is
        //a value selected on this control
        function GetDateControlNotEmpty(controlName) {
            var calender = $find(controlName);

            if (calender.isEmpty()) {
                dateVar = new Date();
                calender.set_selectedDate(dateVar);
            }

            return calender
        };

    </script>
</asp:Content>
