﻿<%@ Page Title="Password Required" Language="VB" AutoEventWireup="false" CodeBehind="errorpage.aspx.vb" Inherits="ci_oof_web.errorpage"
    MasterPageFile="~/Shared/MasterPage.Master" %>

<asp:Content ID="PwdChangeRequired" ContentPlaceHolderID="Content" runat="server">
    <%-- Logo, copyright and product name --%>
    <div class="row col-md-6 col-sm-6 col-xs-12" style="width: auto; margin-left: 15px">
        <h2 class="page-header text-uppercase" runat="server">
            <img src="<%= VirtualPathUtility.ToAbsolute("~/images/Logo-flat-farbe-trans_160.png") %>" /><br />
            <span class="small"><small>
                <asp:Literal ID="lblCopyright" Text="© ci solution GmbH 2018-2020" runat="server"></asp:Literal></small>
            </span>
            <br />
            <br />
            <asp:Literal ID="lblHeader" Text="CI-Out-of-Office" runat="server"></asp:Literal>
            <br />
        </h2>
    </div>

    <div class="row col-md-6 col-sm-6 col-xs-12" style="width: auto; margin-top: 75px">
        <div class="row hidden-xs  hidden-sm">
            <img src="<%= VirtualPathUtility.ToAbsolute("~/images/error.png") %>" />
            <br />
            <br />
            <br />
            <br />
        </div>
        <div class="row" style="margin-left: 0px !important; margin-top: 15px">
            <div class="text-uppercase" id="rowLtErrorRaised" style="margin-top: 50px">
                <asp:Literal ID="lblErrorRaised" runat="server" Text="An error has raised"></asp:Literal>
            </div>
            <br />
            <asp:Literal ID="lblCopyMessage" runat="server" Text="Please copy this message and send it to you IT-Desk/Administrator for help"></asp:Literal>
            <asp:Literal ID="lblSavePwd" runat="server" Text="Password for mailbox required.Put in password and save"></asp:Literal>
        </div>

        <asp:Panel runat="server" ID="formSave">
            <div id="Content_pnlPassword" class="form-group">
                <div class="form-group" id="pnlSave">
                    <br />
                    <br />
                    <asp:ValidationSummary runat="server" EnableClientScript="false" CssClass="alert alert-danger" DisplayMode="List" ForeColor="DarkRed" />
                    <asp:Panel ID="pnlPassword" CssClass="form-group" runat="server">
                        <telerik:RadTextBox runat="server" InputType="Text" TextMode="Password" ID="txtPwd"></telerik:RadTextBox>
                        <asp:RegularExpressionValidator ID="PasswordFieldValidator" runat="server" Display="Dynamic" Text="Passwords must not be empty"
                            CssClass="input-validation" ControlToValidate="txtPwd" ValidationExpression="^[^\s]{3,}$"></asp:RegularExpressionValidator>
                    </asp:Panel>
                    <br />
                    <telerik:RadButton runat="server" ID="btnSave" UseSubmitBehavior="true" Text="Speichern" Primary="true" CssClass="btn-block" Style="max-width: 300px">
                    </telerik:RadButton>
                </div>
            </div>
        </asp:Panel>

        <asp:Panel Style="margin-left: 0px !important" runat="server" class="row" ID="formCopyMessage">
            <asp:Panel ID="PanelErrorMessage" runat="server">
                <div class="form-group" id="pnlError">
                    <br />
                    <br />
                    <telerik:RadTextBox ReadOnly="true" ID="msgExceptionString" Width="80%" Height="250px" TextMode="MultiLine" runat="server"></telerik:RadTextBox>
                    <br />
                    <br />
                    <telerik:RadButton runat="server" ID="btnCopy" UseSubmitBehavior="false" Text="Kopieren" Primary="true" CssClass="btn-block" Style="max-width: 300px">
                    </telerik:RadButton>
                </div>
            </asp:Panel>
        </asp:Panel>
    </div>
</asp:Content>
