﻿<%@ Page Language="VB" AutoEventWireup="false" CodeBehind="master_login.aspx.vb" Inherits="CI.Cloud.Web.MasterLoginPage" MasterPageFile="~/Shared/MasterPage.Master" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" runat="server">
    <div class="center-block" style="max-width: 350px; margin-top: 100px;">
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
        </telerik:RadAjaxLoadingPanel>
        <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" Width="100%" LoadingPanelID="RadAjaxLoadingPanel1">
            <h2 class="text-center page-header text-uppercase" runat="server">
                <img src="/images/CI-Cloud-Logo.png" /><br />
                <%--<%= System.Web.Configuration.WebConfigurationManager.AppSettings("Title") %><br />--%>
                <%--<asp:Literal ID="Literal1" Text="CI-Cloud " runat="server"></asp:Literal>--%>
                <span class="small"><small>
                    <asp:Literal ID="LiteralCopyright" Text="© ci solution GmbH 2017-2018" runat="server"></asp:Literal></small></span><br />
                <br />
                <%--<span class="small">--%>
                <asp:Literal ID="LiteralSubHeader1" Text="CI-Cloud - Portal" runat="server"></asp:Literal>
                <%--</span>--%>
            </h2>

            <asp:Panel ID="pnlDefault" runat="server">
                <asp:ValidationSummary runat="server" EnableClientScript="false" CssClass="alert alert-danger" DisplayMode="List" />
                <div class="form-group">
                    <telerik:RadTextBox runat="server" InputType="Number" ID="IDTextBox" Width="100%" Placeholder="Customer ID" Title="Customer ID"></telerik:RadTextBox>
                    <asp:RequiredFieldValidator ID="IDRequiredFieldValidator" Display="Dynamic" runat="server" Text="ID is required" ControlToValidate="IDTextBox" CssClass="input-validation" EnableClientScript="true"></asp:RequiredFieldValidator>
                </div>
                <div class="form-group">
                    <telerik:RadTextBox runat="server" ID="PasswordTextBox" Width="100%" TextMode="Password" Placeholder="Password" Title="Password"></telerik:RadTextBox>
                    <asp:RequiredFieldValidator ID="PasswordRequiredFieldValidator" Display="Dynamic" runat="server" Text="Password is required" ControlToValidate="PasswordTextBox" CssClass="input-validation" EnableClientScript="true"></asp:RequiredFieldValidator>
                </div>
                <div class="form-group">
                    <telerik:RadButton runat="server" ID="LoginButton" UseSubmitBehavior="true" Text="Sign in" Primary="true" CssClass="btn-block"></telerik:RadButton>
                </div>
                <br />
                <p class="text-center"><small><asp:Literal runat="server" ID="LiteralNow" /></small></p>
            </asp:Panel>

            <asp:Panel ID ="pnlMaintenance" runat="server" Visible="false">
                <asp:Literal ID="LiteralMaintenance" Text="test" runat="server"></asp:Literal>
            </asp:Panel>

            <asp:Label ID="lblMsg" ForeColor="red" runat="server" />

        </telerik:RadAjaxPanel>
        <%--</telerik:RadPane>--%>

        <%--</telerik:RadSplitter>--%>
    </div>
</asp:Content>
