﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="ci_oof_web.DefaultPage" MasterPageFile="~/Shared/MasterPageLayout.master" %>

<asp:Content ContentPlaceHolderID="Content" runat="server">
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            var currentLoadingPanel = null;
            var currentUpdatedControl = null;
            var gvAppointments = $find("<%= gvAppointments.ClientID%>");

            function requestStart(sender, args) {
                currentLoadingPanel = $find("<%= RadAjaxLoadingPanel1.ClientID%>");
                var pagingelement = $find(args.EventTarget);
                btn1 = $find("<%= gvAppointments.ClientID%>");

                if (args.get_eventTarget() == "<%= gvAppointments.UniqueID %>" && args.EventArgument.indexOf("Sort") > -1) {
                    btn1.set_enabled(false);
                    currentUpdatedControl = "<%= gvAppointments.ClientID %>";
                    //show the loading panel over the updated control   
                    currentLoadingPanel.show(currentUpdatedControl);
                }
            }
            function responseEnd() {
                //hide the loading panel and clean up the global variables               
                if (currentLoadingPanel != null) {
                    currentLoadingPanel.hide(currentUpdatedControl);
                }
                currentUpdatedControl = null;
                currentLoadingPanel = null;
            }
        </script>
    </telerik:RadCodeBlock>

    <telerik:RadAjaxManager ID="RadAjaxManger1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="gvAppointments">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvAppointments" UpdatePanelCssClass="inlinePanel" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="CTZComboBox" UpdatePanelCssClass="inlinePanel" />
                    <telerik:AjaxUpdatedControl ControlID="pnlQuestion" UpdatePanelCssClass="inlinePanel" />
                    <telerik:AjaxUpdatedControl ControlID="pnlMainButtons" UpdatePanelCssClass="inlinePanel" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnNo">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlQuestion" />
                    <telerik:AjaxUpdatedControl ControlID="pnlMainButtons" />
                    <telerik:AjaxUpdatedControl ControlID="gvAppointments" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="CTZComboBox" UpdatePanelCssClass="inlinePanel" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnYes">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlQuestion" />
                    <telerik:AjaxUpdatedControl ControlID="pnlMainButtons" />
                    <telerik:AjaxUpdatedControl ControlID="gvAppointments" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="CTZComboBox" UpdatePanelCssClass="inlinePanel" />
                    <telerik:AjaxUpdatedControl ControlID="pnlOofState" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rbAdmin">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlMainButtons" />
                    <telerik:AjaxUpdatedControl ControlID="gvAppointments" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="CTZComboBox" UpdatePanelCssClass="inlinePanel" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rbUser">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlMainButtons" />
                    <telerik:AjaxUpdatedControl ControlID="gvAppointments" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="CTZComboBox" UpdatePanelCssClass="inlinePanel" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="CTZComboBox">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="gvAppointments" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="CTZComboBox" UpdatePanelCssClass="inlinePanel" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
        <ClientEvents OnRequestStart="requestStart" OnResponseEnd="responseEnd"></ClientEvents>

    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" InitialDelayTime="50" MinDisplayTime="50">
    </telerik:RadAjaxLoadingPanel>

    <div class="container">

        <%-- Info panel --%>
        <asp:Panel ID="pnlInfoSetOnly" runat="server">
            <div class="row" style="margin: 10px 0 10px 0 !important; padding-top: 7px !important; padding-bottom: 7px !important; border: 1px solid #808080;">
                <div class="col-sm-12 col-md-9" style="line-height: 2em; font-size: 110%;">
                    <i class="fa fa-warning fa-2x"></i>&nbsp;<asp:Literal ID="literalInfoSetOnly" runat="server" Text="Your Administrator have just Set Appointments active. They will not disabled by automatic. <br />Change this in Options - Calendar or set your Out-of-Office state with this Software." />
                </div>
                <div class="col-sm-12 col-md-3 text-right">
                    <telerik:RadButton ID="bnCloseSetOnlyInfo" Primary="true" runat="server" Style="min-width: 80px;">
                        <ContentTemplate>
                            <i class="fa fa-close"></i>
                            <asp:Literal ID="lblCloseSetOnly" runat="server" Text="Close"></asp:Literal>
                        </ContentTemplate>
                    </telerik:RadButton>
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="pnlOofState" runat="server">

            <div class="row" style="margin-top: 30px;">
                <div class="col-sm-2">
                    <div class="text-center skin-primary-bg">
                        <telerik:RadLabel ID="lblTodayDay" runat="server" Text="19" Font-Size="50pt" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                        <br />
                        <telerik:RadLabel ID="lblTodayDate" runat="server" Text="19.08.2014" Font-Size="12pt" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                        <br />
                        <telerik:RadLabel ID="lblTodayTime" runat="server" Text="09:56" Font-Size="12pt" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                        <br />
                        <telerik:RadLabel ID="lblTodayTimeUTC" runat="server" Text="08:56" Font-Size="12pt" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                        <br />
                        <telerik:RadLabel ID="lblTodayWeekday" runat="server" Text="Thuesday" Font-Size="12pt" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                        <br />
                        <br />
                    </div>
                </div>
                <div class="col-sm-7">
                    <!-- OOF State - START -->
                    <div class="row">
                        <div class="col-sm-7">
                            <div>
                                <telerik:RadButton ID="rbOoFDisabled" ButtonType="ToggleButton" ToggleType="Radio" GroupName="oofState" runat="server" Checked="True" Text="In Office" CssClass="skin-color" />
                            </div>
                            <div>
                                <telerik:RadButton ID="rbOoFEnabled" ButtonType="ToggleButton" ToggleType="Radio" GroupName="oofState" runat="server" Text="Out of Office" CssClass="skin-color" />
                            </div>
                            <asp:Panel ID="pnlScheduled" runat="server" Style="padding-left: 20px;">
                                <telerik:RadCheckBox ID="cbScheduled" runat="server" AutoPostBack="True" Text="Scheduled out of office" CssClass="skin-color" />
                            </asp:Panel>
                        </div>
                    </div>
                    <!-- OOF State - END -->
                    <!-- DATE and TIME - START -->
                    <asp:Panel ID="pnlDateTime" runat="server">
                        <div class="row">
                            <!-- row start time -- START -->
                            <div class="col-sm-6">
                                <table border="0" class="text-nowrap">
                                    <tbody>
                                        <tr>
                                            <td style="width: 130px; padding-left: 20px; vertical-align: middle;">
                                                <telerik:RadLabel ID="lblFrom" runat="server" Text="Start time:" Width="130px" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="vertical-align: middle; padding-right: 5px">
                                                <telerik:RadTextBox ID="tbStartDate" runat="server" Enabled="False" Width="260px"></telerik:RadTextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="width: 130px; padding-left: 20px; vertical-align: middle;">
                                                <telerik:RadLabel ID="lblTo" runat="server" Text="End time:" Width="130px" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="vertical-align: middle; padding-right: 5px;">
                                                <telerik:RadTextBox ID="tbEndDate" runat="server" Enabled="False" Width="260px"></telerik:RadTextBox>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </asp:Panel>
                    <asp:Panel ID="pnlForward" runat="server">
                        <table style="width: 100%;" border="0">
                            <tbody>
                                <tr>
                                    <td style="width: 120px; vertical-align: middle;">
                                        <telerik:RadLabel ID="lblForward" runat="server" Text="Forward:" CssClass="skin-color"></telerik:RadLabel>
                                    </td>
                                    <td>
                                        <telerik:RadLabel ID="lblForwardInfo" runat="server" Text="..." CssClass="skin-color"></telerik:RadLabel>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </asp:Panel>
                </div>
                <div class="col-sm-3 text-right">
                    <asp:Panel ID="pnlUserButtons" runat="server">
                        <telerik:RadButton ID="btnDetails" Primary="true" Height="80px" runat="server" Style="min-width: 90px; margin-bottom: 15px;">
                            <ContentTemplate>
                                <i class="fa fa-eye fa-2x"></i>
                                <br />
                                <asp:Literal ID="lblDetails" Text="Details" runat="server"></asp:Literal>
                            </ContentTemplate>
                        </telerik:RadButton>
                        <br />
                        <telerik:RadButton ID="btnDeactivate" Primary="true" Height="80px" CssClass="text-nowrap" runat="server" Style="min-width: 90px; margin-bottom: 15px;">
                            <ContentTemplate>
                                <i class="fa fa-history fa-2x"></i>
                                <br />
                                <asp:Literal ID="lblDeactivate" Text="In Office" runat="server"></asp:Literal>
                            </ContentTemplate>
                        </telerik:RadButton>

                        <telerik:RadButton ID="rbBackToMe" Primary="false" Text="Back to Me" runat="server" Style="min-width: 90px;" />
                    </asp:Panel>
                </div>
            </div>
        </asp:Panel>



        <%-- Warning panel --%>
        <asp:Panel ID="pnlWarning" runat="server">
            <div class="row" style="margin: 10px 0 10px 0 !important; padding-top: 7px !important; padding-bottom: 7px !important; border: 1px solid #808080;">
                <div class="col-sm-12 col-md-9" style="line-height: 2em; font-size: 110%;">
                    <i class="fa fa-warning fa-2x"></i>&nbsp;<asp:Literal ID="literalWarning" runat="server" Text="Label" />
                </div>
                <div class="col-sm-12 col-md-3 text-right">
                    <telerik:RadButton ID="btnClose" Primary="true" runat="server" Style="min-width: 80px;">
                        <ContentTemplate>
                            <i class="fa fa-close"></i>
                            <asp:Literal ID="lblClose" runat="server" Text="Close"></asp:Literal>
                        </ContentTemplate>
                    </telerik:RadButton>
                </div>
            </div>
        </asp:Panel>

        <%-- Question panel --%>
        <asp:Panel ID="pnlQuestion" runat="server">
            <div class="row bg-warning" style="margin: 10px 0 10px 0 !important; padding-top: 7px !important; padding-bottom: 7px !important; border: 1px solid #808080;">
                <div class="col-sm-12 col-md-9" style="line-height: 2em; font-size: 110%;">
                    <i class="fa fa-question-circle"></i>&nbsp;<asp:Literal ID="literalQuestion" runat="server" Text="Label"></asp:Literal>
                </div>
                <div class="col-sm-12 col-md-3 text-right">
                    <telerik:RadButton ID="btnYes" Primary="true" runat="server" Style="min-width: 80px;">
                        <ContentTemplate>
                            <i class="fa fa-check"></i>
                            <asp:Literal ID="lblYes" runat="server" Text="Yes"></asp:Literal>
                        </ContentTemplate>
                    </telerik:RadButton>
                    <telerik:RadButton ID="btnNo" Primary="false" runat="server" Style="min-width: 80px;">
                        <ContentTemplate>
                            <i class="fa fa-close"></i>
                            <asp:Literal ID="lblNo" runat="server" Text="No"></asp:Literal>
                        </ContentTemplate>
                    </telerik:RadButton>
                </div>

            </div>
        </asp:Panel>

        <%-- Main buttons panel --%>
        <asp:Panel ID="pnlMainButtons" runat="server">
            <div class="row" style="margin: 10px 0 10px 0 !important; padding-top: 8px !important; padding-bottom: 8px !important;">
                <div class="col-sm-12 text-right" style="padding-right: 0px !important;">

                    <telerik:RadButton ID="rbAdmin" Primary="false" Text="Serviceview (Admin)" runat="server" Style="min-width: 80px;" />
                    <telerik:RadButton ID="rbUser" Primary="false" Text="Userview (User)" runat="server" Style="min-width: 80px;" />

                    <telerik:RadButton ID="btnNew" Primary="true" runat="server" Style="min-width: 80px;">
                        <ContentTemplate>
                            <i class="fa fa-plus-circle"></i>
                            <asp:Literal ID="lblNew" runat="server" Text="New"></asp:Literal>
                        </ContentTemplate>
                    </telerik:RadButton>
                    <telerik:RadButton ID="btnNewSerie" Primary="true" runat="server" Style="min-width: 80px;">
                        <ContentTemplate>
                            <i class="fa fa-th-large"></i>
                            <asp:Literal ID="lblNewSerie" runat="server" Text="New Serie"></asp:Literal>
                        </ContentTemplate>
                    </telerik:RadButton>
                </div>
            </div>
        </asp:Panel>


        <div>
            <div class="form-group">
                <table class="control-table">
                    <tbody>
                        <tr>
                            <td style="width: 150px;">
                                <telerik:RadLabel ID="lblTimezone1" runat="server" Text="Timezone:" AssociatedControlID="CTZComboBox" CssClass="skin-color"></telerik:RadLabel>
                            </td>
                            <td>
                                <telerik:RadComboBox ID="CTZComboBox" AutoPostBack="true" runat="server" Width="100%"></telerik:RadComboBox>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-12">
                <telerik:RadGrid MasterTableView-AllowMultiColumnSorting="true" MasterTableView-AllowNaturalSort="true" AllowSorting="true" ID="gvAppointments" runat="server" AutoGenerateColumns="False" onfocus="this.blur();" AllowPaging="true" GridLines="None" PageSize="10">
                    <MasterTableView DataKeyNames="ItemID" ClientDataKeyNames="ItemID">
                        <Columns>
                            <telerik:GridBoundColumn UniqueName="notes" DataField="notes" HeaderText="Subject"></telerik:GridBoundColumn>
                            <telerik:GridBoundColumn UniqueName="from" DataField="from" DataType="System.DateTime" HeaderText="Startdate" DataFormatString="{0:d}"></telerik:GridBoundColumn>
                            <telerik:GridBoundColumn UniqueName="tfrom" DataField="tfrom" DataFormatString="{0:t}" HeaderText="From" />
                            <telerik:GridBoundColumn UniqueName="to" DataField="to" DataType="System.DateTime" HeaderText="Enddate" DataFormatString="{0:d}"></telerik:GridBoundColumn>
                            <telerik:GridBoundColumn UniqueName="tto" DataField="tto" DataFormatString="{0:t}" HeaderText="To" />
                            <telerik:GridCheckBoxColumn UniqueName="forwardInfoOnly" DataField="forwardInfoOnly" HeaderText="Info" ItemStyle-CssClass="text-center" />
                            <telerik:GridBoundColumn UniqueName="forward" DataField="forward" HeaderText="Forward" />
                            <telerik:GridBoundColumn UniqueName="account" DataField="account" HeaderText="Account"></telerik:GridBoundColumn>
                            <telerik:GridBoundColumn UniqueName="timezone" DataField="timezone" HeaderText="Timezone"></telerik:GridBoundColumn>

                            <%-- important: do NOT use "edit" or "delete" as command name; this will trigger the default actions of the grid. User EditAppointment istead. --%>
                            <telerik:GridButtonColumn UniqueName="MyGridEditCommandColumn" Text="Edit" ButtonType="LinkButton" CommandName="EditAppointment" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton" HeaderStyle-CssClass="rgRowActionButton" />
                            <telerik:GridButtonColumn UniqueName="MyGridDeleteCommandColumn" Text="Delete" ButtonType="LinkButton" CommandName="DeleteAppointment" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton" HeaderStyle-CssClass="rgRowActionButton" />


                            <%--<telerik:GridBoundColumn DataField="ItemID" HeaderText="ItemID" />--%>
                        </Columns>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="from" SortOrder="Descending" />
                        </SortExpressions>
                    </MasterTableView>
                    <ClientSettings>
                        <Selecting AllowRowSelect="true" />
                        <ClientEvents OnRowDblClick="rowDbClick" OnRowContextMenu="rowContextMenu" />
                    </ClientSettings>
                </telerik:RadGrid>
                <input type="hidden" id="contextItemID" />
                <telerik:RadContextMenu ID="ContextMenu" runat="server" EnableRoundedCorners="true" EnableShadows="true" OnClientItemClicked="menuItemClicked">
                    <Items>
                        <telerik:RadMenuItem runat="server" Text="Display preview" Value="DisplayPreview"></telerik:RadMenuItem>
                        <telerik:RadMenuItem runat="server" Text="Set date" Value="SetDate"></telerik:RadMenuItem>
                        <telerik:RadMenuItem runat="server" Text="Edit item" Value="EditItem"></telerik:RadMenuItem>
                    </Items>
                </telerik:RadContextMenu>
            </div>
        </div>
        <br />
    </div>

</asp:Content>


<asp:Content ContentPlaceHolderID="Script" runat="server">
    <script type="text/javascript">

        function onCommand(sender, eventArgs) {
            var ajaxManager = $find("<%= RadAjaxManger1.ClientID %>");
            ajaxManager.ajaxRequestWithTarget(eventArgs.get_commandName());
        }

        function rowContextMenu(sender, eventArgs) {
            document.getElementById("contextItemID").value = "";

            var menu = $find("<%= ContextMenu.ClientID %>");
            var evt = eventArgs.get_domEvent();
            if (evt.target.tagName == "INPUT" || evt.target.tagName == "A") {
                return;
            }

            var index = eventArgs.get_itemIndexHierarchical();
            var dataItem = sender.get_masterTableView().get_dataItems()[index];
            document.getElementById("contextItemID").value = dataItem.getDataKeyValue("ItemID");
            sender.get_masterTableView().selectItem(dataItem.get_element(), true);
            menu.show(evt);
            evt.cancelBubble = true;
            evt.returnValue = false;
            if (evt.stopPropagation) {
                evt.stopPropagation();
                evt.preventDefault();
            }
        };
        function menuItemClicked(sender, eventArgs) {
            var mode = eventArgs.get_item().get_value();
            var exchangeId = document.getElementById("contextItemID").value;
            var location = "oofaction3.aspx";


            if (mode == "EditItem") {
                redirectToEditPage(exchangeId);
            }
            else if (mode == "SetGroup") {
                redirectToGroupsPage(exchangeId);
            }
            else {
                showPreviewOfAppointment(exchangeId, mode, location);
            }
        };

        function showPreviewOfAppointment(exchangeId, mode, location) {
            $.ajax({
                type: "POST",
                url: "default.aspx/showPreview",
                contentType: "application/json; charset=utf-8",
                data: '{exchangeId: "' + exchangeId + '", sMode: "' + mode + '"}',
                dataType: "json",
                success: function (response) {
                    window.location = location;
                }
            });

        };

        function rowDbClick(sender, eventArgs) {
            pnlWarning = document.getElementById("pnlWarning");
            var pnlQuestion = document.getElementById("pnlQuestion");

            //its neccessary to check if pnlQuestion or pnlWarning is shown, in both cases the dbclick must not work
            if (pnlQuestion == null || pnlWarning == null) {
                var index = eventArgs.get_itemIndexHierarchical();
                var dataItem = sender.get_masterTableView().get_dataItems()[index];
                var myId = dataItem.getDataKeyValue("ItemID");
                redirectToEditPage(myId);
            }
        };

        function redirectToEditPage(exchangeId) {
            $.ajax({
                type: "POST",
                url: "default.aspx/showPreview",
                contentType: "application/json; charset=utf-8",
                data: '{exchangeId: "' + exchangeId + '", sMode: "' + "EditItem" + '"}',
                dataType: "json",
                success: function (response) {
                    window.location = response.d;
                }
            });
        };

    </script>
</asp:Content>
