﻿<%@ Page Title="Replacements" Language="VB" AutoEventWireup="false" CodeBehind="OoFGroups.aspx.vb" Inherits="ci_oof_web.OoFGroupsPage" MasterPageFile="~/Shared/MasterPageLayout.Master" ValidateRequest="false" EnableEventValidation="true" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Head" runat="server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="server">
    <telerik:RadAjaxManager ID="RadAjaxManger" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="AddButton">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="grid" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Grid">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
    </telerik:RadAjaxLoadingPanel>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel2" runat="server">
    </telerik:RadAjaxLoadingPanel>


    <telerik:RadSplitter RenderMode="Lightweight" ID="RadSplitter" runat="server" Orientation="Horizontal" LiveResize="true"
        BorderSize="0" BorderWidth="0" PanesBorderSize="0" BorderStyle="None" Width="100%" Height="100%" VisibleDuringInit="false">

        <telerik:RadPane ID="RadPane3" runat="server" Height="48">
            <div style="padding: 5px;">
                <asp:HyperLink ID="hlBack" runat="server" NavigateUrl="~/OofConfig.aspx" CssClass="skin-color">
                        <span class="fa fa-arrow-left" style="padding-right: 10px;"></span></asp:HyperLink>
                <telerik:RadButton ID="AddButton" runat="server" Primary="true" Text="Add"></telerik:RadButton>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <telerik:RadButton ID="bnLoad" runat="server" Primary="false" Text="Load"></telerik:RadButton>
                <telerik:RadButton ID="bnSave" runat="server" Primary="false" Text="Save"></telerik:RadButton>
            </div>
        </telerik:RadPane>
        <telerik:RadSplitBar ID="RadSplitBar1" runat="server" EnableResize="false" />
        <telerik:RadPane ID="RadPane1" runat="server">
            <asp:Literal ID="Literal1" Text="Jede Gruppe muss eine eigene Priorität haben, wobei Alle Benutzer immer die höchste Prio hat und somit als erste Gruppe verarbeitet wird." runat="server"></asp:Literal><br />
            <asp:Literal ID="Literal2" Text="Der Ablauf ist also von oben nach unten, das heißt, die unterste Gruppe gewinnt." runat="server"></asp:Literal><br />
            <asp:Literal ID="Literal3" Text="Ist ein Benutzer also in mehreren Gruppen, wird die mit der niedrigsten Priorität gesetzt." runat="server"></asp:Literal><br />
            <telerik:RadGrid ID="Grid" runat="server" SortingSettings-EnableSkinSortStyles="true" BorderWidth="0px" Height="100%" AllowSorting="false" AutoGenerateColumns="false" ShowHeader="true">
                <MasterTableView EditMode="EditForms" NoMasterRecordsText="">
                    <Columns>
                        <telerik:GridBoundColumn DataField="GroupName" HeaderText="GroupName" UniqueName="GroupName" ColumnEditorID="GroupName" HtmlEncode="true">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Priority" HeaderText="Priority" UniqueName="Priority" HtmlEncode="true">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="OOFTemplate" HeaderText="OOF-Template" UniqueName="OOFTemplate" HtmlEncode="true">
                        </telerik:GridBoundColumn>
                        <telerik:GridCheckBoxColumn UniqueName="openEnd" HeaderText="Open End" DataField="openEnd" ColumnGroupName="openEnd" />
                        <telerik:GridEditCommandColumn UniqueName="MyGridEditCommandColumn" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton text-nowrap" HeaderStyle-CssClass="rgRowActionButton" ButtonType="LinkButton">
                        </telerik:GridEditCommandColumn>
                        <telerik:GridButtonColumn UniqueName="MyGridDeleteCommandColumn" ButtonType="LinkButton" Text="Delete" CommandName="Delete" ConfirmText="Delete?" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton" HeaderStyle-CssClass="rgRowActionButton">
                        </telerik:GridButtonColumn>
                    </Columns>
                     <SortExpressions>
                            <telerik:GridSortExpression FieldName="Priority" SortOrder="Descending" />
                        </SortExpressions>
                    <EditFormSettings EditFormType="Template">
                        <FormTemplate>
                            <div class="row" style="padding: 10px;">
                                <div class="col-sm-3">
                                    <asp:Label runat="server" ID="VariableLabel" AssociatedControlID="VariableComboBox" Text="GroupName"></asp:Label>
                                    <div>
                                        <telerik:RadComboBox runat="server" ID="VariableComboBox" Width="100%" AllowCustomText="true"></telerik:RadComboBox>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <asp:Label runat="server" ID="SearchForLabel" AssociatedControlID="SearchForComboBox" Text="Priority"></asp:Label>
                                    <div>
                                        <telerik:RadComboBox runat="server" ID="SearchForComboBox" Width="100%" AllowCustomText="true"></telerik:RadComboBox>
                                        <asp:RequiredFieldValidator ID="SearchForRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="SearchForComboBox" Text="Search for is required" CssClass="input-validation" Style="position: static; margin: 0;" />
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <asp:Label runat="server" ID="ReplaceWithLabel" AssociatedControlID="ReplaceWithComboBox" Text="OOFTemplate"></asp:Label>
                                    <div>
                                        <telerik:RadComboBox runat="server" ID="ReplaceWithComboBox" Width="100%" AllowCustomText="true"></telerik:RadComboBox>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <asp:Label runat="server" ID="MasterLabel" AssociatedControlID="openEndCheckBox" Text="Open end"></asp:Label>
                                    <telerik:RadCheckBox runat="server" ID="openEndCheckBox" Width="100%"></telerik:RadCheckBox>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-12">
                                    <telerik:RadButton ID="UpdateButton" Text='<%# IIf((TypeOf (Container) Is GridEditFormInsertItem), "Add", "Save") %>' runat="server" CommandName='<%# IIf((TypeOf (Container) Is GridEditFormInsertItem), "PerformInsert", "Update")%>'></telerik:RadButton>
                                    <telerik:RadButton ID="CancelButton" Text="Cancel" runat="server" CausesValidation="False" CommandName="Cancel"></telerik:RadButton>
                                </div>
                            </div>
                        </FormTemplate>
                    </EditFormSettings>
                </MasterTableView>
                <ClientSettings EnableRowHoverStyle="true">
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
        </telerik:RadPane>

    </telerik:RadSplitter>
</asp:Content>
