﻿<%@ Page AutoEventWireup="false" CodeBehind="OoFTemplates.aspx.vb" Inherits="ci_oof_web.OoFTemplatesPage" Language="VB" MasterPageFile="~/Shared/MasterPageLayout.Master" Title="Disclaimers" ValidateRequest="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Head" runat="server">
    <script type="text/javascript" src="/js/tinymce/tinymce.min.js"></script>
    <style type="text/css">
        textarea.tinymce {
            visibility: hidden;
        }
    </style>
</asp:Content>

<asp:Content ContentPlaceHolderID="Content" runat="server">
    <telerik:RadWindowManager runat="server" ID="RadWindowManager1">
    </telerik:RadWindowManager>

    <telerik:RadSplitter RenderMode="Lightweight" ID="RadSplitter" runat="server" Orientation="Horizontal" LiveResize="true"
        BorderSize="0" BorderWidth="0" PanesBorderSize="0" BorderStyle="None" Width="100%" Height="100%" VisibleDuringInit="false">

        <telerik:RadPane ID="RadPane3" runat="server" Height="48">
            <div style="padding: 5px;">
                <asp:HyperLink ID="hlBack" runat="server" NavigateUrl="~/OofConfig.aspx" CssClass="skin-color">
                        <span class="fa fa-arrow-left" style="padding-right: 10px;"></span></asp:HyperLink>
                                <telerik:RadLinkButton ID="AddButton" runat="server" Primary="true" Text="Add Template" NavigateUrl="~/disclaimereditor.aspx?oofName="></telerik:RadLinkButton>
            </div>
        </telerik:RadPane>

        <telerik:RadSplitBar ID="RadSplitBar1" runat="server" EnableResize="false" />

        <telerik:RadPane ID="RadPane1" runat="server">
            <asp:ObjectDataSource ID="ObjectDataSource" runat="server" SelectMethod="GetTemplates" TypeName="ci_oof_web.OoFTemplateService"></asp:ObjectDataSource>
            <telerik:RadGrid ID="Grid" runat="server" BorderWidth="0px" Height="100%" AllowSorting="false" AutoGenerateColumns="False" DataSourceID="ObjectDataSource" ShowHeader="True">
                <MasterTableView DataSourceID="ObjectDataSource" OverrideDataSourceControlSorting="true" DataKeyNames="File" AllowNaturalSort="False" AllowSorting="False">
                    <Columns>
                        <telerik:GridBoundColumn DataField="File" HeaderText="File" SortExpression="File" UniqueName="File">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Description" HeaderText="Description" SortExpression="Description" UniqueName="Description" Visible="false">
                        </telerik:GridBoundColumn>
                        <telerik:GridEditCommandColumn UniqueName="MyGridEditCommandColumn" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton text-nowrap" HeaderStyle-CssClass="rgRowActionButton" ButtonType="LinkButton">
                        </telerik:GridEditCommandColumn>
<%--                        <telerik:GridButtonColumn UniqueName="MyGridRenameCommandColumn" ButtonType="LinkButton" Text="Rename" CommandName="Rename" ConfirmText="Rename disclaimer?" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton" HeaderStyle-CssClass="rgRowActionButton">
                        </telerik:GridButtonColumn>--%>
                        <telerik:GridButtonColumn UniqueName="MyGridDeleteCommandColumn" ButtonType="LinkButton" Text="Delete" CommandName="Delete" ConfirmText="Delete disclaimer?" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton" HeaderStyle-CssClass="rgRowActionButton">
                        </telerik:GridButtonColumn>
                    </Columns>
<SortExpressions>
        <telerik:GridSortExpression FieldName="File" SortOrder="Ascending" />
    </SortExpressions>                    
                </MasterTableView>
                    <SortingSettings EnableSkinSortStyles="false" />
                
                <ClientSettings EnableRowHoverStyle="true" EnablePostBackOnRowClick="true">
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
        </telerik:RadPane>

        <telerik:RadSplitBar ID="RadSplitBar" CollapseMode="both" runat="server" />


        <telerik:RadPane ID="RadPane2" runat="server" Height="60%">
            <asp:Panel ID="PreviewPanel" runat="server" Style="height: 100%; position: relative;" Visible="true">
                <div style="position: absolute; top: 0; left: 0; right: 0; height: 40px;">
                    <asp:HiddenField ID="FileHiddenField" runat="server" />
                    <asp:TextBox ID="DescriptionTextBox" Text="" TextMode="SingleLine" runat="server" Style="border-width: 0; padding: 3px 10px; font-size: 18px; width: 100%; height: 40px;" Placeholder="Description" ReadOnly="true"></asp:TextBox>
                </div>
                <div class="tinymce-full tinymce-readonly" style="position: absolute; top: 40px; left: 0; right: 0; bottom: 0;">
                    <asp:Panel ID="BodyWarningPanel" runat="server" CssClass="alert alert-warning alert-dismissible alert-flash" Visible="false">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <asp:Literal ID="BodyWarningLiteral" runat="server"></asp:Literal>
                    </asp:Panel>
                    <asp:TextBox ID="BodyTextBox" Text="" runat="server" TextMode="MultiLine" CssClass="tinymce" BorderWidth="0" Resize="none" Width="100%" Height="100%"></asp:TextBox>
                </div>
                --%>
                <script type="text/javascript">
                    tinymce.init({
                        selector: '.tinymce',
                        mode: 'textareas',
                        language: '<%= GetTinyMceLang() %>',
                        readonly: true,
                        resize: false,
                        menubar: false,
                        statusbar: false,
                        toolbar: false,
                    });
                </script>
            </asp:Panel>
        </telerik:RadPane>


    </telerik:RadSplitter>


    <telerik:RadWindow ID="NewNameWindow" runat="server" VisibleStatusbar="true"
        Modal="true" Behaviors="Close" Height="170px" Width="330px" Style="z-index: 100001">
        <ContentTemplate>
            <div style="margin-top: 15px;">
                <asp:HiddenField ID="OldNameHidden" runat="server" />
                <telerik:RadTextBox ID="NewNameTextBox" runat="server" Width="100%"></telerik:RadTextBox>
            </div>
            <div style="margin-top: 15px; text-align: right;">
                <telerik:RadButton ID="NewNameOkButton" runat="server" Text="OK"></telerik:RadButton>
                <telerik:RadButton ID="NewNameCancelButton" runat="server" Text="Cancel"></telerik:RadButton>
            </div>
        </ContentTemplate>
    </telerik:RadWindow>

</asp:Content>
