﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" CodeBehind="OofAction.aspx.vb" Inherits="ci_oof_web.OofActionPage" MasterPageFile="~/Shared/MasterPageLayout.master" %>

<asp:Content ContentPlaceHolderID="head" runat="server">
    <style type="text/css">
        .bgSubject > .rcbInner {
            background-color: <%= System.Drawing.ColorTranslator.ToHtml(SubjectColor) %> !important;
            background-image: none !important;
            color: #333 !important;
        }
    </style>
</asp:Content>




<asp:Content ContentPlaceHolderID="Content" runat="server">
    <telerik:RadAjaxPanel ID="myPanel" runat="server" LoadingPanelID="RadAjaxLoadingPanel1">

        <div class="container">
            <div class="row">
                <div class="col-sm-6" style="margin: 10px 0;">
                    <h2 class="skin-color">
                        <asp:HyperLink ID="hlBack" runat="server" NavigateUrl="~/Default.aspx" CssClass="skin-color">
                        <span class="fa fa-arrow-left" style="padding-right: 10px;"></span></asp:HyperLink>
                        <asp:Literal ID="ltActionHeader" runat="server">Caption</asp:Literal>
                    </h2>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <telerik:RadWizard ID="RadWizard" runat="server" DisplayProgressBar="false" DisplayNavigationButtons="false" Style="padding-left: 0; padding-right: 0; margin-bottom: 15px;">
                        <WizardSteps>
                            <telerik:RadWizardStep ID="RadWizardStep1" Title="Step 1" Active="true" CssClass="text-center">
                            </telerik:RadWizardStep>
                            <telerik:RadWizardStep ID="RadWizardStep2" Title="Step 2" Enabled="false" CssClass="text-center">
                            </telerik:RadWizardStep>
                            <telerik:RadWizardStep ID="RadWizardStep3" Title="Step 3" Enabled="false" CssClass="text-center">
                            </telerik:RadWizardStep>
                        </WizardSteps>
                    </telerik:RadWizard>
                    <div class="row">
                        <div class="col-sm-6" style="padding-top: 28px;">
                            <div class="form-group">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 100px;">
                                                <telerik:RadLabel ID="lblNotes" runat="server" Text="Subject:*" AssociatedControlID="cboSubject" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td>
                                                <telerik:RadComboBox ID="cboSubject" runat="server" CssClass="bgSubject" Width="100%" ForeColor="#333333"></telerik:RadComboBox>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="form-group" style="margin-left: 100px;">
                                <telerik:RadCheckBox ID="jcbOOF" runat="server" AutoPostBack="True" Checked="True" Text="All day Out of Office event" CssClass="skin-color"></telerik:RadCheckBox>
                                <asp:Literal ID="ltjcboof" runat="server" Text=""></asp:Literal>
                            </div>
                            <asp:Panel ID="pnlScheduled" runat="server">
                                <div class="form-group" style="margin-left: 100px;">
                                    <telerik:RadCheckBox ID="jcbSched" runat="server" AutoPostBack="True" Text="Scheduled out of office" CssClass="skin-color"></telerik:RadCheckBox>
                                    <asp:Literal ID="ltjcbSched" runat="server" Text="False"></asp:Literal>
                                </div>
                            </asp:Panel>
                            <asp:Panel ID="pnlDateTime" runat="server">
                                <div class="form-group">
                                    <table class="control-table">
                                        <tbody>
                                            <tr>
                                                <td style="width: 100px;">
                                                    <telerik:RadLabel ID="lblFrom" runat="server" Text="Start time:" AssociatedControlID="jsccStartDate" CssClass="skin-color"></telerik:RadLabel>
                                                </td>
                                                <td style="padding-right: 10px;">
                                                    <telerik:RadDatePicker ID="jsccStartDate" runat="server" Width="100%">
                                                        <ClientEvents OnDateSelected="StartDateChanged" />
                                                        <Calendar runat="server">
                                                            <FastNavigationSettings EnableTodayButtonSelection="true">
                                                            </FastNavigationSettings>
                                                        </Calendar>
                                                    </telerik:RadDatePicker>
                                                    <asp:Literal ID="ltDatePickerStartDate" runat="server"></asp:Literal>
                                                </td>
                                                <td style="width: 100px;">
                                                    <asp:Panel ID="pnlStartTime" runat="server">
                                                        <telerik:RadComboBox AccessibilityMode="true" ID="jsccStartTime" runat="server" Width="100%" OnClientSelectedIndexChanged="OnClientSelectedIndexChanged">
                                                        </telerik:RadComboBox>
                                                    </asp:Panel>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>

                                <div class="form-group">
                                    <table class="control-table">
                                        <tbody>
                                            <tr>
                                                <td style="width: 100px;">
                                                    <telerik:RadLabel ID="lblTo" runat="server" Text="End time:" AssociatedControlID="jsccEndDate" CssClass="skin-color"></telerik:RadLabel>
                                                </td>
                                                <td style="padding-right: 10px;">
                                                    <telerik:RadDatePicker ID="jsccEndDate" runat="server" Width="100%">
                                                        <ClientEvents OnDateSelected="CheckDates" />
                                                        <Calendar runat="server">
                                                            <FastNavigationSettings EnableTodayButtonSelection="true" />
                                                        </Calendar>
                                                    </telerik:RadDatePicker>
                                                    <asp:Literal ID="ltDatePickerEndDate" runat="server"></asp:Literal>
                                                </td>
                                                <td style="width: 100px;">
                                                    <asp:Panel ID="pnlEndTime" runat="server">
                                                        <telerik:RadComboBox ID="jsccEndTime" runat="server" Width="100%" OnClientSelectedIndexChanged="OnClientSelectedIndexChanged"></telerik:RadComboBox>
                                                    </asp:Panel>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <asp:Panel ID="pnlUiSwitchOnNow" runat="server">
                                    <table class="control-table">
                                        <tbody>
                                            <tr style="height: 37px;">
                                                <td style="width: 100px;">
                                                    <telerik:RadLabel ID="lblSwitch" runat="server" Text="Activate on:" AssociatedControlID="jsccSwitchDate" CssClass="skin-color"></telerik:RadLabel>
                                                </td>
                                                <td style="width: 90px;" class="text-center">
                                                    <telerik:RadCheckBox ID="uiSwitchOnNow" runat="server" AutoPostBack="true" Text="Now" CssClass="skin-color"></telerik:RadCheckBox>
                                                </td>
                                                <td style="padding-right: 10px;">
                                                    <asp:Panel ID="pnljsccSwitchDate" runat="server">
                                                        <telerik:RadDatePicker ID="jsccSwitchDate" runat="server" Width="100%">
                                                            <ClientEvents OnDateSelected="CheckDates" />
                                                            <Calendar runat="server">
                                                                <FastNavigationSettings EnableTodayButtonSelection="true" />
                                                            </Calendar>
                                                        </telerik:RadDatePicker>

                                                        <asp:Literal ID="ltDatePickerActivateDate" runat="server"></asp:Literal>
                                                    </asp:Panel>
                                                </td>
                                                <td style="width: 100px;">
                                                    <asp:Panel ID="pnljsccSwitchTime" runat="server">
                                                        <telerik:RadComboBox ID="jsccSwitchTime" runat="server" Width="100%">
                                                        </telerik:RadComboBox>
                                                    </asp:Panel>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </asp:Panel>
                            </asp:Panel>

                            <%-- Panel for error messages --%>
                            <asp:Panel ID="pnlDatepickerError" runat="server" style="margin-top:20px; padding: 5px; display:none;"> 
                                <asp:Label ID="lblDatepickerError" runat="server" Text="" />
                            </asp:Panel>
                        </div>

                        <div class="col-sm-6">

                            <div class="form-group">
                                <telerik:RadLabel ID="lblNotice" runat="server" Text="Note:" AssociatedControlID="tbNotesXtnd" CssClass="skin-color"></telerik:RadLabel>
                                <telerik:RadTextBox ID="tbNotesXtnd" runat="server" TextMode="MultiLine" Width="100%" Height="290px"></telerik:RadTextBox>
                            </div>
                            <div class="form-group" style="padding-top: 15px;">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 100px;">
                                                <telerik:RadLabel ID="lblTimezone" runat="server" Text="Timezone:" AssociatedControlID="CTZComboBox" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td>
                                                <telerik:RadComboBox ID="CTZComboBox" runat="server" Width="100%"></telerik:RadComboBox>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="form-group">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 100px;">
                                                <telerik:RadLabel ID="lblTemplate" runat="server" Text="Template:" AssociatedControlID="tbTemplate" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td>
                                                <telerik:RadTextBox ID="tbTemplate" runat="server" Width="100%"></telerik:RadTextBox>
                                            </td>
                                            <td style="width: 50px;" class="text-right">
                                                <telerik:RadButton ID="btnGetTemplate" runat="server" Width="40px">
                                                    <ContentTemplate>
                                                        <span class="fa fa-search"></span>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <asp:Panel ID="pnlSelectTemplate" runat="server">
                                <div class="form-group">
                                    <table class="control-table">
                                        <tbody>
                                            <tr>
                                                <td style="width: 100px;">
                                                    <telerik:RadLabel ID="lblSelectTemplate" runat="server" Text="Templates:" AssociatedControlID="cboTemplates" CssClass="skin-color"></telerik:RadLabel>
                                                </td>
                                                <td>
                                                    <telerik:RadComboBox ID="cboTemplates" runat="server" Sort="Ascending" Width="100%" AutoPostBack="true"></telerik:RadComboBox>
                                                </td>
                                                <td style="width: 100px;" class="text-right">
                                                    <telerik:RadButton ID="btnAcceptTemplate" runat="server" Width="40px" Style="margin-right: 5px;">
                                                        <ContentTemplate>
                                                            <span class="fa fa-check"></span>
                                                        </ContentTemplate>
                                                    </telerik:RadButton>
                                                    <telerik:RadButton ID="btnClear" runat="server" Width="40px">
                                                        <ContentTemplate>
                                                            <span class="fa fa-close"></span>
                                                        </ContentTemplate>
                                                    </telerik:RadButton>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </asp:Panel>
                        </div>
                    </div>

                    <br />
                    <div class="row" style="margin-bottom: 15px;">
                        <div class="col-sm-12">
                            <asp:Panel ID="pnlWarning" runat="server">
                                <table style="width: 100%">
                                    <tbody>
                                        <tr>
                                            <td style="vertical-align: middle; text-align: left; width: 50px; color: orange">
                                                <i class="fa fa-warning fa-2x"></i>
                                            </td>
                                            <td style="padding-left: 10px; vertical-align: middle;">
                                                <telerik:RadLabel ID="lblWarning" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="vertical-align: middle; text-align: right; width: 120px;">
                                                <telerik:RadButton ID="btnClose" Primary="true" runat="server" Style="min-width: 100px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-close"></i>
                                                        <asp:Literal ID="lblClose" runat="server" Text="Close"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </asp:Panel>
                        </div>
                    </div>
                    <asp:Panel ID="pnlQuestion" runat="server">
                        <div class="row" style="margin-bottom: 15px;">
                            <div class="col-sm-12">
                                <table style="width: 100%">
                                    <tbody>
                                        <tr>
                                            <td style="vertical-align: middle; text-align: left; width: 50px; color: darkblue;">
                                                <i class="fa fa-question-circle fa-2x"></i>
                                            </td>
                                            <td style="padding-left: 10px; vertical-align: middle;">
                                                <telerik:RadLabel ID="lblQuestion" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="vertical-align: middle; text-align: right; width: 200px;">
                                                <telerik:RadButton ID="btnYes" Primary="true" runat="server" Style="min-width: 80px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-check"></i>
                                                        <asp:Literal ID="lblYes" runat="server" Text="Yes"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                                <telerik:RadButton ID="btnNo" Primary="true" runat="server" Style="min-width: 80px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-close"></i>
                                                        <asp:Literal ID="lblNo" runat="server" Text="No"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </asp:Panel>
                    <asp:Panel ID="pnlMainButtons" runat="server">
                        <div class="row" style="margin-bottom: 15px;">
                            <div class="col-sm-12 text-right">
                                <telerik:RadLabel ID="lblInputRequired" runat="server" Text="* Input required"></telerik:RadLabel>
                                &nbsp;&nbsp;&nbsp;
                            <telerik:RadButton ID="btnSave" Primary="true" runat="server" Style="min-width: 100px;">
                                <ContentTemplate>
                                    <i class="fa fa-arrow-right"></i>
                                    <asp:Literal ID="lblSave" runat="server" Text="Next"></asp:Literal>
                                </ContentTemplate>
                            </telerik:RadButton>
                                <telerik:RadButton ID="btnCancel" Primary="true" runat="server" Style="min-width: 100px;">
                                    <ContentTemplate>
                                        <i class="fa fa-close"></i>
                                        <asp:Literal ID="lblCancel" runat="server" Text="Cancel"></asp:Literal>
                                    </ContentTemplate>
                                </telerik:RadButton>
                            </div>
                        </div>
                    </asp:Panel>
                </div>
            </div>
        </div>
    </telerik:RadAjaxPanel>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" InitialDelayTime="500" MinDisplayTime="500">
    </telerik:RadAjaxLoadingPanel>

</asp:Content>
<asp:Content ContentPlaceHolderID="Script" runat="server">
    <script type="text/javascript">

        // calendars
        var startCalender;
        var endDateCalender;
        var switchDateCalender;

        // dates
        var startDate; 
        var endDate;
        var switchDate;

        var skipCheckDates;

        function getCalendars() {
            // get calendars
            startCalender = GetDateControlNotEmpty("<%=jsccStartDate.ClientID%>");
            endDateCalender = GetDateControlNotEmpty("<%=jsccEndDate.ClientID%>");
            switchDateCalender = GetDateControlNotEmpty("<%=jsccSwitchDate.ClientID%>");
        }

        function getDates() {
            // get dates - return type is Date
            startDate = startCalender.get_selectedDate();
            endDate = endDateCalender.get_selectedDate();
            switchDate = switchDateCalender.get_selectedDate();
        }

        function StartDateChanged(sender, args) {
            try {
                getCalendars();
                getDates();

                // prevent errors while changing values
                skipCheckDates = true;

                // always set switch date to start date
                switchDateCalender.set_selectedDate(startDate);

                // if startDate > endDate, set enddate to startdate, that's the way Outlook does it too...
                if (startDate > endDate) {
                    endDateCalender.set_selectedDate(startDate);
                }

                skipCheckDates = false;
                CheckDates(sender, args);
            }
            catch (err) {
                console.log(String.format('Error in StartDateChanged: {0}', err.message));
            }

        }

        function CheckDates(sender, args) {

            try {
                if (skipCheckDates) return; // prevent errors while changing values

                var validateError = "";
                var validateWarning = "";

                getCalendars();
                getDates();

                console.log(String.format('CheckDates: s:{0} e:{1} sw:{2}', startDate, endDate, switchDate));

                // enddate must be after startdate
                if (!(startDate <= endDate)) {
                    validateError = '<%=sStartDateAfterEndDate%>';
                    console.log(validateError);
                }

                // calculate difference startDate / switchDate
                var diffMillisec = startDate.getTime() - switchDate.getTime();
                var diffDays = diffMillisec / (1000 * 3600 * 24);

                // switchdate should be max. 5 days before startdate
                if (diffDays >= 5) {
                    validateWarning = '<%=sSwitchDateTooEarly%>';
                    console.log(validateWarning);
                }

                // switchdate must NOT be after startdate
                if (diffDays < 0) {
                    validateError = '<%=sSwitchDateAfterStart%>';
                    console.log(validateError);
                }

                if (validateError) {
                    $("#<%=lblDatepickerError.ClientID%>").text(validateError).removeClass().addClass("icon-before icon-error");
                    $("#<%=pnlDatepickerError.ClientID%>").removeClass().addClass("bg-danger").fadeIn(800);
                    $("#<%=btnSave.ClientID%>").prop("disabled", "disabled");
                }
                else if (validateWarning) {
                    $("#<%=lblDatepickerError.ClientID%>").text(validateWarning).removeClass().addClass("icon-before icon-warning");
                    $("#<%=pnlDatepickerError.ClientID%>").removeClass().addClass("bg-warning").fadeIn(800);
                    $("#<%=btnSave.ClientID%>").removeProp("disabled");
                }
                else {
                    $("#<%=lblDatepickerError.ClientID%>").text("").removeClass();
                    $("#<%=pnlDatepickerError.ClientID%>").removeClass().fadeOut(800);
                    $("#<%=btnSave.ClientID%>").removeProp("disabled");
                }

            }
            catch (err) {
                console.log(String.format('Error in CheckDates: {0}', err.message));
            }

        }

        //validates the following rule:
        //if the start and end date are on the same day, the time difference must be equal or greater than 30 min
        function OnClientSelectedIndexChanged(sender, eventArgs) {
            var startCalender = $find("<%=jsccStartDate.ClientID%>");
            var endDateCalender = $find("<%=jsccEndDate.ClientID%>");
            var startTime = $find("<%=jsccStartTime.ClientID%>")
            var endTime = $find("<%=jsccEndTime.ClientID%>")

            startTime.trackChanges();
            endTime.trackChanges();

            if (endDateCalender.get_selectedDate().toDateString() == startCalender.get_selectedDate().toDateString()) {

                if (startTime._selectedIndex >= endTime._selectedIndex) {
                    if (sender === startTime) {
                        var times = endTime.get_items()._array
                        if (startTime._selectedIndex != times.length - 1) {
                            var index = startTime.get_selectedIndex();
                            var item = times[++index];
                            endTime.set_selectedItem(item);
                            endTime.set_text(item.get_text());
                        }
                        else {
                            var item = times[times.length - 2];
                            startTime.set_selectedItem(item);
                            startTime.set_text(item.get_text());
                            var item = times[times.length - 1];
                            endTime.set_selectedItem(item);
                            endTime.set_text(item.get_text());
                        }
                    }
                    else if (sender === endTime) {
                        if (endTime._selectedIndex != 0) {
                            var index = endTime.get_selectedIndex();
                            var item = endTime.get_items()._array[--index];
                            startTime.set_selectedItem(item);
                            startTime.set_text(item.get_text());
                        }
                        else {
                            var item = endTime.get_items()._array[0];
                            startTime.set_selectedItem(item);
                            startTime.set_text(item.get_text());
                            var item = endTime.get_items()._array[1];
                            endTime.set_selectedItem(item);
                            endTime.set_text(item.get_text());
                        }
                    }
                }
            }

            startTime.commitChanges();
            endTime.commitChanges();
        };


        //Gets the control with the specified name and ensures that there is
        //a value selected on this control
        function GetDateControlNotEmpty(controlName) {
            var calender = $find(controlName);

            if (calender.isEmpty()) {
                dateVar = new Date();
                calender.set_selectedDate(dateVar);
            }

            return calender
        };

    </script>
</asp:Content>
