﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="OofActionGroup.aspx.vb" Inherits="ci_oof_web.OofActionGroupPage" MasterPageFile="~/Shared/MasterPageLayout.master" %>

<asp:Content ContentPlaceHolderID="Content" runat="server">

    <telerik:RadAjaxPanel ID="myPanel" runat="server" LoadingPanelID="RadAjaxLoadingPanel1">


        <div class="container">
            <div class="row">
                <div class="col-sm-12" style="margin: 10px 0;">
                    <h2 class="skin-color">
                        <asp:HyperLink ID="hlBack" runat="server" NavigateUrl="~/Default.aspx" CssClass="skin-color">
                        <span class="fa fa-arrow-left" style="padding-right: 10px;"></span></asp:HyperLink>
                        <asp:Literal ID="ltActionHeader" runat="server">Caption</asp:Literal>
                    </h2>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">

                    <asp:Panel ID="fwdUserControl" runat="server">
                        <div class="row">
                            <div class="col-sm-12">
                                <div style="padding-bottom: 10px;">
                                    <telerik:RadLabel ID="lblSelectUser" runat="server" Text="Select user for Forwarding:" CssClass="skin-color" Font-Bold="true"></telerik:RadLabel>
                                </div>
                                <div style="padding-bottom: 15px;">
                                    <table>
                                        <tr>
                                            <td class="text-nowrap">
                                                <telerik:RadLabel ID="lblfwdRequired" runat="server" Text="*" CssClass="skin-color" Style="padding: 0; vertical-align: middle;"></telerik:RadLabel>
                                                <telerik:RadCheckBox ID="cbForward" runat="server" AutoPostBack="True" Text="Forward to:" Font-Bold="true" CssClass="skin-color" Style="vertical-align: middle;"></telerik:RadCheckBox>
                                            </td>
                                            <td style="width: 100%; padding: 0 10px;">
                                                <telerik:RadTextBox ID="tbUser" runat="server" placeholder="Select user" Width="100%"></telerik:RadTextBox>
                                            </td>
                                            <td class="text-nowrap">
                                                <telerik:RadButton ID="btnSearchOpen" Primary="true" runat="server" Style="min-width: 100px; margin-left: 5px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-search"></i>
                                                        <asp:Literal ID="lblSearchOpen" runat="server" Text="Search"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>

                    <asp:Panel ID="pnlGlobalAdressList" runat="server" DefaultButton="btnSearch">
                        <div class="row">
                            <div class="col-sm-12">
                                <h3 class="h3">
                                    <telerik:RadLabel ID="lblMe" runat="server" Text="Select name from Global Address List" CssClass="skin-color"></telerik:RadLabel>
                                </h3>
                            </div>
                            <div class="col-sm-8">
                                <table>
                                    <tr>
                                        <td style="width: 100%; padding-right: 10px; vertical-align: middle;">
                                            <telerik:RadTextBox ID="tbSearchFor" runat="server" placeholder="Enter search value" Width="100%"
                                                Label="Search:" Style="margin: 0;" LabelCssClass="textbox-label skin-color">
                                            </telerik:RadTextBox>
                                        </td>
                                        <td style="vertical-align: middle;">
                                            <telerik:RadButton ID="btnSearch" Primary="true" runat="server" Style="min-width: 150px; margin: 0;">
                                                <ContentTemplate>
                                                    <i class="fa fa-search"></i>
                                                    <asp:Literal ID="lblSearch" runat="server" Text="Search"></asp:Literal>
                                                </ContentTemplate>
                                            </telerik:RadButton>
                                        </td>
                                    </tr>
                                </table>
                                <div style="margin-top: 10px;">
                                    <telerik:RadNumericTextBox ID="numMaxResults" runat="server" Value="50" Label="Max results:" autocomplete="off"
                                        LabelCssClass="skin-color" NumberFormat-DecimalDigits="0" IncrementSettings-Step="5" MinValue="5">
                                    </telerik:RadNumericTextBox>
                                </div>
                                <div style="margin-top: 10px;">
                                    <telerik:RadLabel ID="lblSearchInfo" runat="server" Text="..." CssClass="skin-color"></telerik:RadLabel>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="skin-primary-bg notice" style="padding: 10px 15px; box-shadow: 2px 2px 5px rgba(0,0,0,.5); border-radius: 4px;">
                                    <telerik:RadLabel ID="lblInfo" runat="server" Text="For a search, enter at least 2 characters and click Start search" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-sm-12">
                                <telerik:RadGrid ID="gvForwardUser" runat="server" AutoGenerateColumns="False" AllowSorting="true" GridLines="None" AllowPaging="false">
                                    <MasterTableView DataKeyNames="email_Adress" ClientDataKeyNames="email_Adress">
                                        <Columns>
                                            <telerik:GridBoundColumn DataField="Name" HeaderText="Name" ItemStyle-Width="150"></telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="email_Adress" HeaderText="eMail" ItemStyle-Width="150"></telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="Position" HeaderText="Position" />
                                            <telerik:GridBoundColumn DataField="Business_telephone" HeaderText="Telephone" />
                                            <telerik:GridBoundColumn DataField="Office" HeaderText="Office" />
                                            <telerik:GridBoundColumn DataField="Department" HeaderText="Department" />
                                            <telerik:GridBoundColumn DataField="Company" HeaderText="Company" />
                                            <telerik:GridBoundColumn DataField="Alias" HeaderText="Alias" />
                                        </Columns>
                                    </MasterTableView>
                                    <ClientSettings EnablePostBackOnRowClick="true">
                                        <Selecting AllowRowSelect="true" />
                                    </ClientSettings>
                                </telerik:RadGrid>
                                <%--<asp:Literal ID="ltDataTable" runat="server"></asp:Literal>--%>
                                <div style="margin-top: 15px;">
                                    <telerik:RadButton ID="btnAccept" Primary="true" runat="server" Style="min-width: 130px; vertical-align: middle;">
                                        <ContentTemplate>
                                            <i class="fa fa-check"></i>
                                            <asp:Literal ID="lblAccept" runat="server" Text="Accept"></asp:Literal>
                                        </ContentTemplate>
                                    </telerik:RadButton>
                                    <telerik:RadButton ID="btnCancelSelection" Primary="true" runat="server" Style="min-width: 130px; margin-left: 5px; vertical-align: middle;">
                                        <ContentTemplate>
                                            <i class="fa fa-close"></i>
                                            <asp:Literal ID="lblCancelSelection" runat="server" Text="Cancel"></asp:Literal>
                                        </ContentTemplate>
                                    </telerik:RadButton>
                                    <telerik:RadLabel ID="lblSelectBeforeApply" runat="server" Text="Select first, before click Apply" CssClass="skin-color" Style="margin-left: 10px; vertical-align: middle;"></telerik:RadLabel>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>

                    <br />
                    <div class="row" style="margin-bottom: 15px;">
                        <div class="col-sm-12">
                            <asp:Panel ID="pnlWarning" runat="server">
                                <table style="width: 100%">
                                    <tbody>
                                        <tr>
                                            <td style="vertical-align: middle; text-align: left; width: 50px; color: orange">
                                                <i class="fa fa-warning fa-2x"></i>
                                            </td>
                                            <td style="padding-left: 10px; vertical-align: middle;">
                                                <telerik:RadLabel ID="lblWarning" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="vertical-align: middle; text-align: right; width: 120px;">
                                                <telerik:RadButton ID="btnClose" Primary="true" runat="server" Style="min-width: 100px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-close"></i>
                                                        <asp:Literal ID="lblClose" runat="server" Text="Close"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </asp:Panel>
                        </div>
                    </div>
                    <asp:Panel ID="pnlMainButtons" runat="server">
                        <div class="row" style="margin-bottom: 15px;">
                            <div class="col-sm-12 text-right">
                                <telerik:RadLabel ID="lblInputRequired" runat="server" Text="* Input required" Style="margin-right: 15px; vertical-align: middle;"></telerik:RadLabel>
                                &nbsp;&nbsp;&nbsp;
                            <telerik:RadButton ID="btnPrevious" Primary="true" runat="server" Style="min-width: 100px; vertical-align: middle;">
                                <ContentTemplate>
                                    <i class="fa fa-arrow-left"></i>
                                    <asp:Literal ID="lblPrevious" runat="server" Text="Previous"></asp:Literal>
                                </ContentTemplate>
                            </telerik:RadButton>
                                <telerik:RadButton ID="btnSave" Primary="true" runat="server" Style="min-width: 100px; vertical-align: middle;">
                                    <ContentTemplate>
                                        <i class="fa fa-arrow-right"></i>
                                        <asp:Literal ID="lblSave" runat="server" Text="Next"></asp:Literal>
                                    </ContentTemplate>
                                </telerik:RadButton>
                                <telerik:RadButton ID="btnCancel" Primary="true" runat="server" Style="min-width: 100px; vertical-align: middle;">
                                    <ContentTemplate>
                                        <i class="fa fa-close"></i>
                                        <asp:Literal ID="lblCancel" runat="server" Text="Cancel"></asp:Literal>
                                    </ContentTemplate>
                                </telerik:RadButton>
                            </div>
                        </div>
                    </asp:Panel>
                </div>
            </div>
        </div>
    </telerik:RadAjaxPanel>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" InitialDelayTime="500" MinDisplayTime="500">
    </telerik:RadAjaxLoadingPanel>

</asp:Content>

