﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="OofActionOM.aspx.vb" Inherits="ci_oof_web.OofActionOMPage" MasterPageFile="~/Shared/MasterPageLayout.master" %>

<asp:Content ContentPlaceHolderID="Content" runat="server">
    <telerik:RadAjaxPanel ID="myPanel" runat="server">

        <div class="container">
            <div class="row">
                <div class="col-sm-12" style="margin: 10px 0;">
                    <h2 class="skin-color">
                        <asp:HyperLink ID="hlBack" runat="server" NavigateUrl="~/Default.aspx" CssClass="skin-color">
                        <span class="fa fa-arrow-left" style="padding-right: 10px;"></span></asp:HyperLink>
                        <asp:Literal ID="ltActionHeader" runat="server">Caption</asp:Literal>
                    </h2>

                    <telerik:RadButton ID="bnViewAdmin" Primary="false" Visible="false" Text="Toggle" runat="server" Style="min-width: 100px; margin-left: 10px;" />
                    <telerik:RadButton ID="bnViewUser" Primary="false" Visible="true" Text="Toggle" runat="server" Style="min-width: 100px; margin-left: 10px;" />
                </div>
            </div>

            <%-- Panel-Warning --%>
            <div class="row" style="margin-bottom: 15px; margin-top: 25px;">
                <div class="col-sm-12">
                    <asp:Panel ID="pnlWarning" runat="server">
                        <table style="width: 100%">
                            <tbody>
                                <tr>
                                    <td style="vertical-align: middle; text-align: left; width: 50px; color: orange">
                                        <i class="fa fa-warning fa-2x"></i>
                                    </td>
                                    <td style="padding-left: 10px; vertical-align: middle;">
                                        <telerik:RadLabel ID="lblWarning" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                    </td>
                                    <td style="vertical-align: middle; text-align: right; width: 120px;">
                                        <telerik:RadButton ID="btnClose" Primary="true" runat="server" Style="min-width: 100px;">
                                            <ContentTemplate>
                                                <i class="fa fa-close"></i>
                                                <asp:Literal ID="lblClose" runat="server" Text="Close"></asp:Literal>
                                            </ContentTemplate>
                                        </telerik:RadButton>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </asp:Panel>
                </div>
            </div>


            <asp:Panel ID="pnlGlobalAdressList" runat="server">
                <div class="row">
                    <div class="col-sm-12">
                        <h3 class="h3">
                            <telerik:RadLabel ID="lblMe" runat="server" Text="Select name from Global Address List" CssClass="skin-color"></telerik:RadLabel>
                        </h3>
                    </div>
                    <div class="col-sm-8">
                        <table>
                            <tr>
                                <td style="width: 100%; padding-right: 10px; vertical-align: middle;">
                                    <telerik:RadTextBox ID="tbSearchFor" runat="server" placeholder="Enter search value" Width="100%"
                                        Label="Search:" Style="margin: 0;" LabelCssClass="textbox-label skin-color">
                                    </telerik:RadTextBox>
                                </td>
                                <td style="vertical-align: middle;">
                                    <telerik:RadButton ID="btnSearch" Primary="true" runat="server" Style="min-width: 150px; margin: 0;">
                                        <ContentTemplate>
                                            <i class="fa fa-search"></i>
                                            <asp:Literal ID="lblSearch" runat="server" Text="Search"></asp:Literal>
                                        </ContentTemplate>
                                    </telerik:RadButton>
                                </td>
                            </tr>
                        </table>
                        <div style="margin-top: 10px;">
                            <telerik:RadNumericTextBox ID="numMaxResults" runat="server" Value="50" Label="Max results:" autocomplete="off"
                                LabelCssClass="skin-color" NumberFormat-DecimalDigits="0" IncrementSettings-Step="5" MinValue="5">
                            </telerik:RadNumericTextBox>
                        </div>
                        <div style="margin-top: 10px;">
                            <telerik:RadLabel ID="lblSearchInfo" runat="server" Text="..." CssClass="skin-color"></telerik:RadLabel>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="skin-primary-bg notice" style="padding: 10px 15px; box-shadow: 2px 2px 5px rgba(0,0,0,.5); border-radius: 4px;">
                            <telerik:RadLabel ID="RadLabel1" runat="server" Text="For a search, enter at least 2 characters and click Start search" CssClass="skin-primary-bg-color"></telerik:RadLabel>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div style="margin-top: 15px;">
                            <telerik:RadButton ID="btnAccept1" Primary="true" runat="server" Style="min-width: 130px; vertical-align: middle;">
                                <ContentTemplate>
                                    <i class="fa fa-check"></i>
                                    <asp:Literal ID="lblAccept1" runat="server" Text="Accept"></asp:Literal>
                                </ContentTemplate>
                            </telerik:RadButton>
                            <telerik:RadButton ID="btnCancelSelection1" Primary="false" runat="server" Style="min-width: 130px; margin-left: 5px; vertical-align: middle;">
                                <ContentTemplate>
                                    <i class="fa fa-close"></i>
                                    <asp:Literal ID="lblCancelSelection1" runat="server" Text="Cancel"></asp:Literal>
                                </ContentTemplate>
                            </telerik:RadButton>
                            <telerik:RadLabel ID="RadLabel2" runat="server" Text="Select first, before click Apply" CssClass="skin-color" Style="margin-left: 10px; vertical-align: middle;"></telerik:RadLabel>
                        </div>
                        <br />
                        <telerik:RadButton runat="server" ID="RadButton1" Style="display: none;"></telerik:RadButton>
                        <telerik:RadGrid ID="gvGalUser" runat="server" AutoGenerateColumns="False" AllowSorting="true" GridLines="None" AllowPaging="false">
                            <MasterTableView DataKeyNames="email_Adress" ClientDataKeyNames="email_Adress">
                                <Columns>
                                    <telerik:GridBoundColumn DataField="Name" HeaderText="Name" ItemStyle-Width="150"></telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="email_Adress" HeaderText="eMail" ItemStyle-Width="150"></telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="Position" HeaderText="Position" />
                                    <telerik:GridBoundColumn DataField="Business_telephone" HeaderText="Telephone" />
                                    <telerik:GridBoundColumn DataField="Office" HeaderText="Office" />
                                    <telerik:GridBoundColumn DataField="Department" HeaderText="Department" />
                                    <telerik:GridBoundColumn DataField="Company" HeaderText="Company" />
                                    <telerik:GridBoundColumn DataField="Alias" HeaderText="Alias" />
                                </Columns>
                            </MasterTableView>
                            <ClientSettings EnablePostBackOnRowClick="true">
                                <Selecting AllowRowSelect="true" />
                            </ClientSettings>
                        </telerik:RadGrid>
                    </div>
                </div>
            </asp:Panel>

            <asp:Panel ID="pnlUser" runat="server">
                <div class="row">
                    <div class="col-sm-12">
                        <div>
                            <h3>
                                <telerik:RadLabel ID="lblInfo" runat="server" Text="Select mailbox" CssClass="skin-color"></telerik:RadLabel>
                            </h3>
                        </div>
                        <div style="margin-top: 15px;">
                            <telerik:RadButton ID="btnAccept" Primary="true" runat="server" Style="min-width: 130px; vertical-align: middle;">
                                <ContentTemplate>
                                    <i class="fa fa-check"></i>
                                    <asp:Literal ID="lblAccept" runat="server" Text="Accept"></asp:Literal>
                                </ContentTemplate>
                            </telerik:RadButton>
                            <telerik:RadButton ID="btnCancelSelection" Primary="true" runat="server" Style="min-width: 130px; margin-left: 5px; vertical-align: middle;">
                                <ContentTemplate>
                                    <i class="fa fa-close"></i>
                                    <asp:Literal ID="lblCancelSelection" runat="server" Text="Cancel"></asp:Literal>
                                </ContentTemplate>
                            </telerik:RadButton>
                            <telerik:RadLabel ID="lblSelectBeforeApply" runat="server" Text="Select first, before click Apply" CssClass="skin-color" Style="margin-left: 10px; vertical-align: middle;"></telerik:RadLabel>
                        </div>
                        <br />
                        <div>
                            <telerik:RadGrid ID="gvForwardUser" runat="server" AutoGenerateColumns="False" AllowSorting="true" GridLines="None" AllowPaging="false">
                                <MasterTableView DataKeyNames="email_Adress" ClientDataKeyNames="email_Adress">
                                    <Columns>
                                        <telerik:GridBoundColumn DataField="Name" HeaderText="Name"></telerik:GridBoundColumn>
                                        <telerik:GridBoundColumn DataField="email_Adress" HeaderText="eMail"></telerik:GridBoundColumn>
                                        <%--<telerik:GridBoundColumn DataField="Position" HeaderText="Position" />
                                        <telerik:GridBoundColumn DataField="Business_telephone" HeaderText="Telephone" />
                                        <telerik:GridBoundColumn DataField="Office" HeaderText="Office" />
                                        <telerik:GridBoundColumn DataField="Department" HeaderText="Department" />
                                        <telerik:GridBoundColumn DataField="Company" HeaderText="Company" />
                                        <telerik:GridBoundColumn DataField="Alias" HeaderText="Alias" />--%>
                                    </Columns>
                                </MasterTableView>
                                <ClientSettings EnablePostBackOnRowClick="true">
                                    <Selecting AllowRowSelect="true" />
                                </ClientSettings>
                            </telerik:RadGrid>
                        </div>

                    </div>
                </div>
            </asp:Panel>
        </div>
    </telerik:RadAjaxPanel>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" InitialDelayTime="500" MinDisplayTime="500">
    </telerik:RadAjaxLoadingPanel>

</asp:Content>
