﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="OofActionSerie.aspx.vb" Inherits="ci_oof_web.OofActionSeriePage" MasterPageFile="~/Shared/MasterPageLayout.master" %>

<asp:Content ContentPlaceHolderID="head" runat="server">
                    <style type="text/css">
                        .bgSubject > .rcbInner {
                            background-color: <%= System.Drawing.ColorTranslator.ToHtml(SubjectColor) %> !important;
                            background-image: none !important;
                            color: #333 !important;
                        }

                        .skin-color.text-danger .rbText {
                            color: red !important;
                        }
                    </style>
</asp:Content>

<asp:Content ContentPlaceHolderID="Content" runat="server">
    <telerik:RadAjaxPanel ID="myPanel" runat="server" LoadingPanelID="RadAjaxLoadingPanel1">

        <div class="container">
            <div class="row">
                <div class="col-sm-12" style="margin: 10px 0;">
                    <h2 class="skin-color">
                        <asp:HyperLink ID="hlBack" runat="server" NavigateUrl="~/Default.aspx" CssClass="skin-color">
                        <span class="fa fa-arrow-left" style="padding-right: 10px;"></span></asp:HyperLink>
                        <asp:Literal ID="ltActionHeader" runat="server">Caption</asp:Literal>
                    </h2>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <telerik:RadWizard ID="RadWizard" runat="server" DisplayProgressBar="false" DisplayNavigationButtons="false" Style="padding-left: 0; padding-right: 0; margin-bottom: 15px;">
                        <WizardSteps>
                            <telerik:RadWizardStep ID="RadWizardStep1" Title="Step 1" Active="true" CssClass="text-center">
                            </telerik:RadWizardStep>
                            <telerik:RadWizardStep ID="RadWizardStep2" Title="Step 2" Enabled="false" CssClass="text-center">
                            </telerik:RadWizardStep>
                            <telerik:RadWizardStep ID="RadWizardStep3" Title="Step 3" Enabled="false" CssClass="text-center">
                            </telerik:RadWizardStep>
                        </WizardSteps>
                    </telerik:RadWizard>
                    <div class="row">
                        <div class="col-sm-6" style="padding-top: 28px;">
                            <div class="form-group">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 115px;">
                                                <telerik:RadLabel ID="lblNotes" runat="server" Text="Subject:*" AssociatedControlID="cboSubject" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td>
                                                <telerik:RadComboBox ID="cboSubject" runat="server" CssClass="bgSubject" Width="100%" ForeColor="#333333"></telerik:RadComboBox>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="form-group">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 115px;">
                                                <telerik:RadLabel ID="lblCategory" runat="server" Text="Category:*" AssociatedControlID="cboCategory" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td>
                                                <telerik:RadComboBox ID="cboCategory" runat="server" Width="100%"></telerik:RadComboBox>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="form-group" style="margin-left: 110px;">
                                <telerik:RadCheckBox ID="jcbOOF" runat="server" AutoPostBack="True" Checked="True" Text="All day Out of Office event" CssClass="skin-color"></telerik:RadCheckBox>
                                <asp:Literal ID="ltjcboof" runat="server" Text="False"></asp:Literal>
                            </div>
                            <asp:Panel ID="pnlScheduled" runat="server">
                                <div class="form-group" style="margin-left: 110px;">
                                    <telerik:RadCheckBox ID="jcbSched" runat="server" AutoPostBack="True" Text="Scheduled out of office" CssClass="skin-color"></telerik:RadCheckBox>
                                    <asp:Literal ID="ltjcbSched" runat="server" Text="False"></asp:Literal>
                                </div>
                            </asp:Panel>
                            <div class="form-group">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 115px;">
                                                <telerik:RadLabel ID="lblStartDate" runat="server" Text="Start date:" AssociatedControlID="jsccStartDate" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="padding-right: 10px;">
                                                <telerik:RadDatePicker ID="jsccStartDate" runat="server" Width="100%">
                                                    <ClientEvents OnDateSelected="selectedDateChanged" />
                                                    <Calendar runat="server">
                                                        <FastNavigationSettings EnableTodayButtonSelection="true">
                                                        </FastNavigationSettings>
                                                    </Calendar>
                                                </telerik:RadDatePicker>
                                                <asp:Literal ID="ltDatePickerStartDate" runat="server"></asp:Literal>
                                            </td>
                                            <td style="width: 100px;">
                                                <asp:Panel ID="pnlStartTime" runat="server">
                                                    <telerik:RadComboBox ID="jsccStartTime" runat="server" Width="100%"></telerik:RadComboBox>
                                                </asp:Panel>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                            <hr />
                            <div class="form-group">
                                <telerik:RadButton ID="rbDaily" runat="server" ButtonType="ToggleButton" ToggleType="Radio" GroupName="grpRadioOccurenceType" AutoPostBack="True" CssClass="skin-color" Text="Daily" Checked="true" Style="margin-right: 30px;"></telerik:RadButton>
                                <telerik:RadButton ID="rbWeekly" runat="server" ButtonType="ToggleButton" ToggleType="Radio" GroupName="grpRadioOccurenceType" AutoPostBack="True" CssClass="skin-color" Text="Weekly" Style="margin-right: 30px;"></telerik:RadButton>
                                <telerik:RadButton ID="rbMonthly" runat="server" ButtonType="ToggleButton" ToggleType="Radio" GroupName="grpRadioOccurenceType" AutoPostBack="True" CssClass="skin-color" Text="Monthly" Style="margin-right: 30px;"></telerik:RadButton>
                            </div>
                            <asp:Panel ID="pnlDaily" runat="server" CssClass="">
                                <div class="form-group">
                                    <telerik:RadLabel ID="lblDEvery" runat="server" Text="Every" AssociatedControlID="txtEveryXdays" CssClass="skin-color"></telerik:RadLabel>
                                    <telerik:RadNumericTextBox ID="txtEveryXdays" Value="1" runat="server" MinValue="1" NumberFormat-DecimalDigits="0" Width="50"></telerik:RadNumericTextBox>
                                    <telerik:RadLabel ID="lblDDays" runat="server" Text="day(s)" CssClass="skin-color" Style="margin-left: 2px;"></telerik:RadLabel>
                                </div>
                            </asp:Panel>
                            <asp:Panel ID="pnlWeekly" runat="server">
                                <div class="form-group">
                                    <telerik:RadLabel ID="lblWeeklyRecurEvery" runat="server" Text="Recur every" AssociatedControlID="txtWeeklyRegenXWeeks" CssClass="skin-color"></telerik:RadLabel>
                                    <telerik:RadNumericTextBox ID="txtWeeklyRegenXWeeks" Value="1" runat="server" MinValue="1" NumberFormat-DecimalDigits="0" Width="50"></telerik:RadNumericTextBox>
                                    <telerik:RadLabel ID="lblWeeklyWeeksOn" runat="server" Text="week(s) on:" CssClass="skin-color" Style="margin-left: 5px;"></telerik:RadLabel>
                                </div>
                                <div class="form-group">
                                    <telerik:RadCheckBox ID="chkMonday" runat="server" AutoPostBack="true" Text="Monday" CssClass="skin-color" Style="margin-right: 15px"></telerik:RadCheckBox>
                                    <telerik:RadCheckBox ID="chkTuesday" runat="server" AutoPostBack="true" Text="Tuesday" CssClass="skin-color" Style="margin-right: 15px"></telerik:RadCheckBox>
                                    <telerik:RadCheckBox ID="chkWednesday" runat="server" AutoPostBack="true" Text="Wednesday" CssClass="skin-color" Style="margin-right: 15px"></telerik:RadCheckBox>
                                    <telerik:RadCheckBox ID="chkThursday" runat="server" AutoPostBack="true" Text="Thursday" CssClass="skin-color" Style="margin-right: 15px"></telerik:RadCheckBox>
                                    <telerik:RadCheckBox ID="chkFriday" runat="server" AutoPostBack="true" Text="Friday" CssClass="skin-color" Style="margin-right: 15px"></telerik:RadCheckBox>
                                    <telerik:RadCheckBox ID="chkSaturday" runat="server" AutoPostBack="true" Text="Saturday" CssClass="skin-color text-danger" Style="margin-right: 15px;"></telerik:RadCheckBox>
                                    <telerik:RadCheckBox ID="chkSunday" runat="server" AutoPostBack="true" Text="Sunday" CssClass="skin-color text-danger" Style="margin-right: 15px;"></telerik:RadCheckBox>
                                </div>
                            </asp:Panel>
                            <asp:Panel ID="pnlMonthly" runat="server">
                                <div class="form-group">
                                    <telerik:RadButton ID="rbMDay" runat="server" ButtonType="ToggleButton" ToggleType="Radio" CssClass="skin-color" Text="Day" Checked="true" Style="margin-right: 10px;" Font-Bold="true"></telerik:RadButton>
                                    <telerik:RadNumericTextBox ID="txtMonthlyDay" Value="1" runat="server" MinValue="1" NumberFormat-DecimalDigits="0" Width="50"></telerik:RadNumericTextBox>
                                    <telerik:RadLabel ID="lblMonthlyOfEvery" runat="server" Text="of every" CssClass="skin-color" Style="margin-left: 2px;"></telerik:RadLabel>
                                    <telerik:RadNumericTextBox ID="txtmonthlyinterval" Value="1" runat="server" MinValue="1" NumberFormat-DecimalDigits="0" Width="50"></telerik:RadNumericTextBox>
                                    <telerik:RadLabel ID="lblMonthDayMonth" runat="server" Text="month(s)" CssClass="skin-color" Style="margin-left: 2px;"></telerik:RadLabel>
                                </div>
                            </asp:Panel>
                            <hr />

                            <div class="form-group">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 115px;">
                                                <telerik:RadButton ID="radioOccurrences" runat="server" ButtonType="ToggleButton" ToggleType="Radio" GroupName="grpRadioEnds" AutoPostBack="True" CssClass="skin-color" Text="End after:" Font-Bold="true"></telerik:RadButton>
                                            </td>
                                            <td>
                                                <telerik:RadNumericTextBox ID="txtOccurrences" runat="server" Width="100" MinValue="0" NumberFormat-DecimalDigits="0" Value="2"></telerik:RadNumericTextBox>
                                                <telerik:RadLabel ID="lblXOccurrences" runat="server" Text="occurrences (max. 20)" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="form-group">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 115px;">
                                                <telerik:RadButton ID="radioEndBy" runat="server" ButtonType="ToggleButton" ToggleType="Radio" GroupName="grpRadioEnds" AutoPostBack="True" CssClass="skin-color" Text="End by:" Font-Bold="true"></telerik:RadButton>
                                            </td>
                                            <td style="padding-right: 10px;">
                                                <telerik:RadDatePicker ID="jsccEndDate" runat="server" Width="100%" >
                                                    <ClientEvents OnDateSelected="selectedDateChanged" />
                                                    <Calendar runat="server">
                                                        <FastNavigationSettings EnableTodayButtonSelection="true">
                                                        </FastNavigationSettings>
                                                    </Calendar>
                                                </telerik:RadDatePicker>
                                            </td>
                                            <td style="width: 100px;">
                                                <asp:Panel ID="pnlEndTime" runat="server">
                                                    <telerik:RadComboBox ID="jsccEndTime" runat="server" Width="100%"></telerik:RadComboBox>
                                                </asp:Panel>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td colspan="2">
                                                <telerik:RadLabel ID="lblMaxDate" runat="server" Text="(max. +11 month)" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <asp:Literal ID="ltDatePickerEndDate" runat="server" Text=""></asp:Literal>
                            </div>
                            <asp:Panel ID="pnlUiSwitchOnNow" runat="server">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 115px;">
                                                <telerik:RadLabel ID="lblSwitch" runat="server" Text="Activate on:" AssociatedControlID="jsccSwitchDate" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="width: 90px;" class="text-center">
                                                <telerik:RadCheckBox ID="uiSwitchOnNow" runat="server" AutoPostBack="true" Text="Now" CssClass="skin-color"></telerik:RadCheckBox>
                                            </td>
                                            <td style="padding-right: 10px;">
                                                <asp:Panel ID="pnljsccSwitchDate" runat="server">
                                                    <telerik:RadDatePicker ID="jsccSwitchDate" runat="server" Width="100%">
                                                        <Calendar runat="server">
                                                            <FastNavigationSettings EnableTodayButtonSelection="true">
                                                            </FastNavigationSettings>
                                                        </Calendar>
                                                    </telerik:RadDatePicker>
                                                    <asp:Literal ID="ltDatePickerActivateDate" runat="server"></asp:Literal>
                                                </asp:Panel>
                                            </td>
                                            <td style="width: 100px;">
                                                <asp:Panel ID="pnljsccSwitchTime" runat="server">
                                                    <telerik:RadComboBox ID="jsccSwitchTime" runat="server" Width="100%"></telerik:RadComboBox>
                                                </asp:Panel>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </asp:Panel>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <telerik:RadLabel ID="lblNotice" runat="server" Text="Note:" AssociatedControlID="tbNotesXtnd" CssClass="skin-color"></telerik:RadLabel>
                                <telerik:RadTextBox ID="tbNotesXtnd" runat="server" TextMode="MultiLine" Width="100%" Height="290px"></telerik:RadTextBox>
                            </div>
                            <div class="form-group">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 100px;">
                                                <telerik:RadLabel ID="lblTimezone" runat="server" Text="Timezone:" AssociatedControlID="CTZComboBox" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td>
                                                <telerik:RadComboBox ID="CTZComboBox" runat="server" Width="100%"></telerik:RadComboBox>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="form-group">
                                <table class="control-table">
                                    <tbody>
                                        <tr>
                                            <td style="width: 100px;">
                                                <telerik:RadLabel ID="lblTemplate" runat="server" Text="Template:" AssociatedControlID="tbTemplate" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td>
                                                <telerik:RadTextBox ID="tbTemplate" runat="server" Width="100%"></telerik:RadTextBox>
                                            </td>
                                            <td style="width: 50px;" class="text-right">
                                                <telerik:RadButton ID="btnGetTemplate" runat="server" Width="40px">
                                                    <ContentTemplate>
                                                        <span class="fa fa-search"></span>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <asp:Panel ID="pnlSelectTemplate" runat="server">
                                <div class="form-group">
                                    <table class="control-table">
                                        <tbody>
                                            <tr>
                                                <td style="width: 100px;">
                                                    <telerik:RadLabel ID="lblSelectTemplate" runat="server" Text="Templates:" AssociatedControlID="cboTemplates" CssClass="skin-color"></telerik:RadLabel>
                                                </td>
                                                <td>
                                                    <telerik:RadComboBox ID="cboTemplates" runat="server" Width="100%" AutoPostBack="true"></telerik:RadComboBox>
                                                </td>
                                                <td style="width: 100px;" class="text-right">
                                                    <telerik:RadButton ID="btnAcceptTemplate" runat="server" Width="40px" Style="margin-right: 5px;">
                                                        <ContentTemplate>
                                                            <span class="fa fa-check"></span>
                                                        </ContentTemplate>
                                                    </telerik:RadButton>
                                                    <telerik:RadButton ID="btnClear" runat="server" Width="40px">
                                                        <ContentTemplate>
                                                            <span class="fa fa-close"></span>
                                                        </ContentTemplate>
                                                    </telerik:RadButton>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </asp:Panel>
                        </div>
                    </div>

                    <br />
                    <div class="row" style="margin-bottom: 15px;">
                        <div class="col-sm-12">
                            <asp:Panel ID="pnlWarning" runat="server">
                                <table style="width: 100%">
                                    <tbody>
                                        <tr>
                                            <td style="vertical-align: middle; text-align: left; width: 50px; color: orange">
                                                <i class="fa fa-warning fa-2x"></i>
                                            </td>
                                            <td style="padding-left: 10px; vertical-align: middle;">
                                                <telerik:RadLabel ID="lblWarning" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="vertical-align: middle; text-align: right; width: 120px;">
                                                <telerik:RadButton ID="btnClose" Primary="true" runat="server" Style="min-width: 100px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-close"></i>
                                                        <asp:Literal ID="lblClose" runat="server" Text="Close"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </asp:Panel>
                        </div>
                    </div>
                    <asp:Panel ID="pnlQuestion" runat="server">
                        <div class="row" style="margin-bottom: 15px;">
                            <div class="col-sm-12">
                                <table style="width: 100%">
                                    <tbody>
                                        <tr>
                                            <td style="vertical-align: middle; text-align: left; width: 50px; color: darkblue;">
                                                <i class="fa fa-question-circle fa-2x"></i>
                                            </td>
                                            <td style="padding-left: 10px; vertical-align: middle;">
                                                <telerik:RadLabel ID="lblQuestion" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                            </td>
                                            <td style="vertical-align: middle; text-align: right; width: 200px;">
                                                <telerik:RadButton ID="btnYes" Primary="true" runat="server" Style="min-width: 80px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-check"></i>
                                                        <asp:Literal ID="lblYes" runat="server" Text="Yes"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                                <telerik:RadButton ID="btnNo" Primary="true" runat="server" Style="min-width: 80px;">
                                                    <ContentTemplate>
                                                        <i class="fa fa-close"></i>
                                                        <asp:Literal ID="lblNo" runat="server" Text="No"></asp:Literal>
                                                    </ContentTemplate>
                                                </telerik:RadButton>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </asp:Panel>
                    <asp:Panel ID="pnlMainButtons" runat="server">
                        <div class="row" style="margin-bottom: 15px;">
                            <div class="col-sm-12 text-right">
                                <telerik:RadLabel ID="lblInputRequired" runat="server" Text="* Input required"></telerik:RadLabel>
                                &nbsp;&nbsp;&nbsp;
                            <telerik:RadButton ID="btnSave" Primary="true" runat="server" Style="min-width: 100px;">
                                <ContentTemplate>
                                    <i class="fa fa-arrow-right"></i>
                                    <asp:Literal ID="lblSave" runat="server" Text="Next"></asp:Literal>
                                </ContentTemplate>
                            </telerik:RadButton>
                                <telerik:RadButton ID="btnCancel" Primary="true" runat="server" Style="min-width: 100px;">
                                    <ContentTemplate>
                                        <i class="fa fa-close"></i>
                                        <asp:Literal ID="lblCancel" runat="server" Text="Cancel"></asp:Literal>
                                    </ContentTemplate>
                                </telerik:RadButton>
                            </div>
                        </div>
                    </asp:Panel>
                </div>
            </div>
        </div>
    </telerik:RadAjaxPanel>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" InitialDelayTime="500" MinDisplayTime="500">
    </telerik:RadAjaxLoadingPanel>
</asp:Content>

    <asp:Content ContentPlaceHolderID="Script" runat="server">
    <script type="text/javascript">

        //Checks the values of start, end and switch date and changes invalid values if they exist
        function selectedDateChanged(sender, args) {
            var startCalender = GetDateControlNotEmpty("<%=jsccStartDate.ClientID%>");
            var endDateCalender = GetDateControlNotEmpty("<%=jsccEndDate.ClientID%>");
            var switchDateCalender = GetDateControlNotEmpty("<%=jsccSwitchDate.ClientID%>");

            var startDate = startCalender.get_selectedDate();
            var endDate = endDateCalender.get_selectedDate();
            var switchdate = switchDateCalender.get_selectedDate();

            if (endDateCalender.get_enabled())
            {

            if (endDate < startDate) {
                if (sender.get_id().startsWith("<%=jsccStartDate.ClientID%>")) {
                    endDate = startDate;
                    endDateCalender.set_selectedDate(endDate);
                }
                else {
                    startDate = endDate;
                    startCalender.set_selectedDate(startDate);
                }
            }

            if (switchdate > endDate) {
                switchdate = endDate;
                switchDateCalender.set_selectedDate(switchdate);
            }
            }
        };

                //Gets the control with the specified name and ensures that there is
        //a value selected on this control
        function GetDateControlNotEmpty(controlName) {
            var calender = $find(controlName);

            if (calender.isEmpty()) {
                dateVar = new Date();
                calender.set_selectedDate(dateVar);
            }

            return calender
        };
        </script>
      </asp:Content>
