﻿<%@ Page Title="CI-Out-of-Office Manager - Configuration" Language="vb" AutoEventWireup="false" CodeBehind="Oofconfig.aspx.vb" Inherits="ci_oof_web.OofConfigPage" MasterPageFile="~/Shared/MasterPagelayout.Master" %>

<asp:Content ContentPlaceHolderID="head" runat="server">
    <style type="text/css">
        html .t-container-fluid,
        html .t-row-wrap > .t-row {
            max-width: none;
        }

        .col {
            background-color: rgba(240, 240, 240, 0.83);
            border: 1px solid #cccccc;
            border-radius: 3px;
            margin: 10px 0;
            padding: 5px 10px;
        }

            .col.heigh {
                min-height: 350px;
            }

            .col.low {
                min-height: 240px;
            }
    </style>
</asp:Content>


<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="server">

    <asp:Panel ID="pnlMaster" runat="server">

        <telerik:RadAjaxPanel ID="myPanel" runat="server">

            <div class="container-fluid">
                <br />
                <div class="row">
                    <div class="col-sm-12 col-lg-12" runat="server">
                        <br />
                        <%--<h3>
                            <telerik:RadLabel ID="lblDescription" Text="Hier konfigurieren Sie die OOF Einstellungen...." runat="server" />
                            <br />
                        </h3>
                        <br />
                        <br />--%>



                        <telerik:RadTabStrip RenderMode="Lightweight" runat="server" ID="RadTabStrip1" MultiPageID="RadMultiPage1" SelectedIndex="0" Orientation="HorizontalTop">
                            <Tabs>
                                <telerik:RadTab Text="Basis Einstellungen"></telerik:RadTab>
                                <telerik:RadTab Text="Kalender"></telerik:RadTab>
                                <telerik:RadTab Text="Zugriff"></telerik:RadTab>
                                <telerik:RadTab Text="Administrator"></telerik:RadTab>
                                <telerik:RadTab Text="Erweitert"></telerik:RadTab>
                                <telerik:RadTab Text="Parameter"></telerik:RadTab>
                                <telerik:RadTab Text="Report"></telerik:RadTab>
                                <telerik:RadTab Text="Lizenz"></telerik:RadTab>
                            </Tabs>
                        </telerik:RadTabStrip>

                    </div>
                </div>



                <telerik:RadMultiPage runat="server" ID="RadMultiPage1" SelectedIndex="0" CssClass="outerMultiPage">

                    <%-- Basic settings --%>
                    <telerik:RadPageView runat="server" ID="RadPageView1">


                        <telerik:RadPageLayout ID="RadPageLayout1" runat="server" GridType="Fluid">
                            <Rows>
                                <telerik:LayoutRow>
                                    <Columns>

                                        <%-- Basic settings --%>
                                        <telerik:LayoutColumn Span="4" SpanMd="6" SpanSm="12" runat="server" ID="colBasic">
                                            <div class="col heigh">
                                                <h3>
                                                    <telerik:RadLabel ID="pnlHeaderBasic" Text="Basis Einstellungen" runat="server" />
                                                </h3>
                                                <telerik:RadCheckBox ID="cbAllInsideCICloudPortal" runat="server" Text="All Storages inside CI-Cloud-Portal"></telerik:RadCheckBox>
                                                <br />
                                                <telerik:RadCheckBox ID="cbNoOwnExchange" runat="server" Text="No own Exchange Server"></telerik:RadCheckBox>
                                                <br />
                                                <telerik:RadCheckBox ID="cbCloudMode" runat="server" Text="Cloud-Modus (Einstellungen in der Cloud)"></telerik:RadCheckBox>
                                                <br />
                                                <telerik:RadCheckBox ID="cbNoOwnAD" runat="server" Text="No own Active Directory"></telerik:RadCheckBox>
                                                <br />
                                                <telerik:RadCheckBox ID="cbMultiServer" runat="server" Text="Use Autodiscover"></telerik:RadCheckBox>
                                                <br />
                                                <telerik:RadCheckBox ID="cbUseTLS12" runat="server" Text="SSL"></telerik:RadCheckBox>
                                                <br />
                                                <br />
                                                <telerik:RadButton ID="rbConfigTemplates" runat="server" Text="Templates..."></telerik:RadButton>
                                                <telerik:RadButton ID="rbConfigGroups" runat="server" Text="Groups..."></telerik:RadButton>
                                                <telerik:RadButton ID="rbConfigUsers" runat="server" Text="Users..."></telerik:RadButton>
                                                <br />
                                            </div>
                                        </telerik:LayoutColumn>

                                        <%-- CI-Cloud connection --%>
                                        <telerik:LayoutColumn Span="4" SpanMd="6" SpanSm="12" runat="server" ID="colCloudConnect">
                                            <div class="col heigh">
                                                <h3>
                                                    <telerik:RadLabel ID="lblCloudConnect" Text="CI-Cloud-Portal connection" runat="server" />
                                                </h3>
                                                <table class="table table-condensed">
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblCustomerID" runat="server" Text="Customer-ID:" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbCustomerID" runat="server" Width="100%" />
                                                            <asp:ValidationSummary runat="server" EnableClientScript="false" CssClass="alert alert-danger" DisplayMode="List" ForeColor="DarkRed" />
                                                            <asp:RegularExpressionValidator ID="CustomerIDFieldValidator" runat="server" Display="Dynamic" Text="Incorrect format (e.g. C12345)" CssClass="input-validation"
                                                                ControlToValidate="tbCustomerID" ValidationExpression="^[A-Z]\d*$"></asp:RegularExpressionValidator>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblWebCode" runat="server" Text="WebCode:" />
                                                        </td>

                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbWebCode" Placeholder="**********" TextMode="Password" runat="server" /></td>
                                                    </tr>

                                                </table>
                                                <asp:Button ID="btConnectPortal" runat="server" Text="Connect" />
                                                <asp:Button ID="btChangePortal" runat="server" Text="Change" />
                                                <br />
                                                <telerik:RadCheckBox ID="cbIsCIPVerified" runat="server" Text="Verified at CI-Cloud-Portal"></telerik:RadCheckBox>
                                                <br />
                                                <telerik:RadCheckBox ID="cbUseOauth" runat="server" Text="Use Office365 authentication (Oauth)"></telerik:RadCheckBox>
                                                <br />
                                                <telerik:RadCheckBox ID="cbLicenceFromCICloudPortal" runat="server" Text="Get Licence over CI-Cloud-Portal"></telerik:RadCheckBox>
                                                <br />
                                            </div>
                                        </telerik:LayoutColumn>

                                        <%-- Office 365 connection --%>
                                        <telerik:LayoutColumn Span="4" SpanMd="6" SpanSm="12" runat="server" ID="colOffice365">
                                            <div class="col heigh">
                                                <h3>
                                                    <telerik:RadLabel ID="pnlHeaderCloud" Text="Office 365 (Cloud)" runat="server" />
                                                </h3>


                                                <table class="table table-condensed">
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblcuser" Text="CUser:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbCUser" Width="100%" BackColor="GreenYellow" runat="server" /></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblcpass" Text="CPass:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbCPass" Width="100%" Placeholder="**********" TextMode="Password" BackColor="GreenYellow" Text="12345" runat="server" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblcdomain" Text="CDomain:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbCDomain" Width="100%" runat="server" />
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblcserver" Text="CServer:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbCServer" Width="100%" runat="server" />
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblcGroup" Text="CGroup:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbcGroup" Width="100%" runat="server" />
                                                        </td>
                                                    </tr>

                                                </table>
                                            </div>
                                        </telerik:LayoutColumn>

                                        <%-- Local Active Directory --%>
                                        <telerik:LayoutColumn Span="4" SpanMd="6" SpanSm="12" runat="server" ID="colActiveDirectory">
                                            <div class="col low">
                                                <%--                                                <h3>
                                                    <telerik:RadLabel ID="pnlHeaderExchange" Text="Exchange" runat="server" />
                                                </h3>--%>
                                                <h3>
                                                    <telerik:RadLabel ID="gbActiveDirectory" Text="Active Directory" runat="server" />
                                                </h3>
                                                <table class="table table-condensed">
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblUser" Text="User:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbUser" Width="100%" BackColor="GreenYellow" runat="server" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblPassword" Text="Password:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbPassword" Width="100%" Placeholder="**********" TextMode="Password" BackColor="GreenYellow" runat="server" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblDomain" Text="Domain:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbDomain" Width="100%" BackColor="GreenYellow" runat="server" /></td>
                                                    </tr>
                                                </table>

                                            </div>
                                        </telerik:LayoutColumn>

                                        <%-- Local Exchange Server --%>
                                        <telerik:LayoutColumn Span="4" SpanMd="6" SpanSm="12" runat="server" ID="colExchangeServer">
                                            <div class="col low">


                                                <h3>
                                                    <telerik:RadLabel ID="gbLocalExchange" Text="Lokaler Exchange / CAS" runat="server" />
                                                </h3>
                                                <table class="table table-condensed">
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblExchangeServer" Text="Exchange server:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbExchangeServer" Width="100%" BackColor="GreenYellow" runat="server" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lblExchangeVersion" Text="Version:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <asp:RadioButtonList ID="rbExchange2010" runat="server">
                                                                <asp:ListItem Selected="True">&nbsp; 2016 / 2013 / 2010</asp:ListItem>
                                                            </asp:RadioButtonList>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <telerik:RadCheckBox ID="cbUseSSL2010" runat="server" Text="SSL"></telerik:RadCheckBox>
                                                <br />
                                            </div>
                                        </telerik:LayoutColumn>

                                        <%-- Service mailbox --%>
                                        <telerik:LayoutColumn Span="4" SpanMd="6" SpanSm="12" runat="server" ID="colServiceMailbox">
                                            <div class="col low">

                                                <h3>
                                                    <telerik:RadLabel ID="gbServiceMailbox" Text="Service Mailbox Exchange Web Service and external URL's" runat="server" />
                                                </h3>
                                                <table class="table table-condensed">
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lbltbEWSMail" runat="server" Text="Mail:" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbEWSMail" Width="100%" runat="server" /><br />
                                                            <telerik:RadLabel ID="lblhlptbEWSMail" Text="oofservice@yourdomain.com" runat="server" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="td-label col-sm-2">
                                                            <telerik:RadLabel ID="lbltbEWSServerUrl" Text="Server-URL:" runat="server" />
                                                        </td>
                                                        <td class="td-value col-sm-4">
                                                            <telerik:RadTextBox ID="tbEWSServerUrl" Width="100%" runat="server" /><br />
                                                            <telerik:RadLabel ID="lblInfoEWSServerUrl" Text="mail.yourdomain.com" runat="server" />
                                                        </td>
                                                    </tr>

                                                </table>

                                            </div>
                                        </telerik:LayoutColumn>

                                        <%-- CMD-Let --%>
                                        <telerik:LayoutColumn Span="12" runat="server" ID="colCmdLet">
                                            <div class="col">

                                                <h3>
                                                    <telerik:RadLabel ID="gbCMDLet" Text="Use this CMDLET for Exchange-Management-Shell" runat="server" />
                                                </h3>
                                                <br />
                                                <telerik:RadTextBox ID="tbCMDLET" Width="100%" runat="server" />
                                                <br />
                                            </div>
                                        </telerik:LayoutColumn>



                                    </Columns>
                                </telerik:LayoutRow>

                            </Rows>
                        </telerik:RadPageLayout>




                    </telerik:RadPageView>

                    <%-- Calendar --%>
                    <telerik:RadPageView runat="server" ID="RadPageView2">


                        <asp:Panel ID="pnlCalendar" runat="server">
                            <h3>
                                <telerik:RadLabel ID="pnlHeaderCalendar" Text="Calendar" runat="server" />
                            </h3>
                            <div class="row">
                                <div class="col-sm-12 col-lg-6" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblWeekstart" Text="Weekstart:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadDropDownList ID="cboWeekstart" runat="server" DropDownHeight="200px" Width="200px" DropDownWidth="200px">
                                                </telerik:RadDropDownList>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblWorkingday" Text="Workingdays:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbWorkingdays" runat="server" /><br />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblDaydifference" Text="Daydifference:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbDaydifference" runat="server" /><br />
                                            </td>
                                        </tr>
                                    </table>
                                    <telerik:RadCheckBox ID="chkSetOnly" runat="server" Text="Set only. OOF-State not deactivate"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkAllowScheduledDate" runat="server" Text="Allow Timebased Schedule"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkAllowTemplateInDate" runat="server" Text="Allow Template-Select in Schedule"></telerik:RadCheckBox>
                                    <br />
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltxtGroupTemplates" Text="Only AD Group:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtGroupTemplates" runat="server" />
                                                <telerik:RadLabel ID="lblhlptxtGroupTemplates" Text="On empty Group all users have access!" runat="server" />
                                            </td>
                                        </tr>
                                    </table>
                                    <telerik:RadCheckBox ID="chkShowCalendarOptions" runat="server" Text="Show Calendar-Options in Schedule"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkSetLocal" runat="server" Text="Save Appointment in personal Folder"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkSetPublic" runat="server" Text="Save Appointment in public Folder / Ressource Mailbox"></telerik:RadCheckBox>
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltxtPublic" Text="Public Folder:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtPublic" runat="server" />
                                                <telerik:RadCheckBox ID="chkPublicFolderIsRessource" runat="server" Text="Ressource Mailbox (E-Mail)"></telerik:RadCheckBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltxtPublicArt" Text="Entry-Text:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtPublicArt" runat="server" /><br />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">

                                                <telerik:RadLabel ID="lbltxtDFStr" Text="Date-Format:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtDFStr" runat="server" />
                                                <telerik:RadLabel ID="lblhlptxtDFStr" Text="Sample: dd.MM.yyyy OR  dddd, dd MMM yyyy" runat="server" />
                                            </td>
                                        </tr>
                                    </table>
                                    <telerik:RadLabel ID="lblReCreate" Text="Sample: dd.MM.yyyy OR  dddd, dd MMM yyyy   " runat="server" />
                                    <telerik:RadButton ID="bnStartRecreate" runat="server" Text="Start"></telerik:RadButton>
                                    <br />
                                    <br />
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblMaxAppLength" Text="Max. Appointment Duration:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadNumericTextBox ID="iudDuration" runat="server" DbValueFactor="1" LabelWidth="64px" Value="1" Width="160px" MaxValue="6" MinValue="1" ShowSpinButtons="True" DataType="System.Int32">
                                                    <NegativeStyle Resize="None" />
                                                    <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                                                    <EmptyMessageStyle Resize="None" />
                                                    <ReadOnlyStyle Resize="None" />
                                                    <FocusedStyle Resize="None" />
                                                    <DisabledStyle Resize="None" />
                                                    <InvalidStyle Resize="None" />
                                                    <HoveredStyle Resize="None" />
                                                    <EnabledStyle Resize="None" />
                                                </telerik:RadNumericTextBox>
                                                <telerik:RadLabel ID="lblMonth" Text="month (max. 6, def. 6)" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblLoadBevoreMonth" Text="Show before today:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadNumericTextBox ID="iudLoadBevoreMonth" runat="server" DbValueFactor="1" LabelWidth="64px" Value="1" Width="160px" MaxValue="21" MinValue="1" ShowSpinButtons="True" DataType="System.Int32">
                                                    <NegativeStyle Resize="None" />
                                                    <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                                                    <EmptyMessageStyle Resize="None" />
                                                    <ReadOnlyStyle Resize="None" />
                                                    <FocusedStyle Resize="None" />
                                                    <DisabledStyle Resize="None" />
                                                    <InvalidStyle Resize="None" />
                                                    <HoveredStyle Resize="None" />
                                                    <EnabledStyle Resize="None" />
                                                </telerik:RadNumericTextBox>
                                                <telerik:RadLabel ID="lbl1LoadAfterMonth" Text="(month, max. 22 in sum)" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblLoadAfterMonth" Text="Show after today:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadNumericTextBox ID="iudLoadAfterMonth" runat="server" DbValueFactor="1" LabelWidth="64px" Value="1" Width="160px" MaxValue="21" MinValue="1" ShowSpinButtons="True" DataType="System.Int32">
                                                    <NegativeStyle Resize="None" />
                                                    <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                                                    <EmptyMessageStyle Resize="None" />
                                                    <ReadOnlyStyle Resize="None" />
                                                    <FocusedStyle Resize="None" />
                                                    <DisabledStyle Resize="None" />
                                                    <InvalidStyle Resize="None" />
                                                    <HoveredStyle Resize="None" />
                                                    <EnabledStyle Resize="None" />
                                                </telerik:RadNumericTextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblLoadBevoreItems" Text="Show before today (0=all):" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadNumericTextBox ID="iudLoadBevoreItems" runat="server" DbValueFactor="1" LabelWidth="64px" Value="1" Width="160px" MaxValue="100" MinValue="1" ShowSpinButtons="True" DataType="System.Int32">
                                                    <NegativeStyle Resize="None" />
                                                    <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                                                    <EmptyMessageStyle Resize="None" />
                                                    <ReadOnlyStyle Resize="None" />
                                                    <FocusedStyle Resize="None" />
                                                    <DisabledStyle Resize="None" />
                                                    <InvalidStyle Resize="None" />
                                                    <HoveredStyle Resize="None" />
                                                    <EnabledStyle Resize="None" />
                                                </telerik:RadNumericTextBox>
                                                <telerik:RadLabel ID="lbl1LoadBevoreItems" Text="(Items, max. 100)" runat="server" />
                                            </td>
                                        </tr>
                                    </table>
                                    <telerik:RadCheckBox ID="chkSwitchTempAppointmentOnCreate" runat="server" Text="Switch temporary Appointments on create/change"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkAllowRecurrenceApps" runat="server" Text="Allow Recurrence-Appointments"></telerik:RadCheckBox>
                                    <br />
                                </div>
                            </div>
                        </asp:Panel>
                    </telerik:RadPageView>

                    <%-- Access --%>
                    <telerik:RadPageView runat="server" ID="RadPageView3">


                        <asp:Panel ID="lblAccess" runat="server">
                            <h3>
                                <telerik:RadLabel ID="pnlHeaderAccess" Text="Access" runat="server" />
                            </h3>
                            <div class="row">
                                <div class="col-sm-12 col-lg-6" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                                    <br />
                                    <telerik:RadCheckBox ID="chkAllowEMail" runat="server" Text="Allow access to E-Mails"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkAllowCalendar" runat="server" Text="Calendar"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkAllowTask" runat="server" Text="Tasks"></telerik:RadCheckBox>
                                    <br />
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltxtGroup" Text="Only AD Group:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtGroup" runat="server" />
                                                <telerik:RadLabel ID="lblhlptxtGroup" Text="On empty Group all users have access!" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltxtHideCategoryMail" Text="Hide Category:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtHideCategoryMail" runat="server" />
                                                <telerik:RadLabel ID="lblhlptxtHideCategoryMail" Text="On empty Category all Items visible!" runat="server" />
                                            </td>
                                        </tr>
                                    </table>
                                    <br />
                                    <telerik:RadCheckBox ID="chkAllowDelegate" runat="server" Text="Allow access to delegate-rights"></telerik:RadCheckBox>
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltxtGroupDelegate" Text="Only AD Group:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtGroupDelegate" runat="server" />
                                                <telerik:RadLabel ID="lblhlptxtGroupDelegate" Text="On empty Group all users have access!" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltxtDelegateConfig" Text="Configuration:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtDelegateConfig" runat="server" />
                                            </td>
                                        </tr>
                                    </table>
                                    <telerik:RadCheckBox ID="chkSendDelegateReport" runat="server" Text="Send Report to User when Delegate changed (Exchange 2010)"></telerik:RadCheckBox>
                                    <br />
                                    <br />
                                    <telerik:RadCheckBox ID="cbWLBActive" runat="server" Text="Activate Work-Life-Balance"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="cbWLBAllowPrivate" runat="server" Text="Allow private"></telerik:RadCheckBox>
                                    <br />

                                    <table class="table table-condensed">

                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblWLBGroup" Text="Only AD Group:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbWLBGroup" runat="server" />
                                                <telerik:RadLabel ID="lblhlptbWLBGroup" Text="On empty Group all users have access!" runat="server" />
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>





                        </asp:Panel>
                    </telerik:RadPageView>

                    <%-- Administrator --%>
                    <telerik:RadPageView runat="server" ID="RadPageView4">

                        <asp:Panel ID="lblAdministrator" runat="server">
                            <h3>
                                <telerik:RadLabel ID="pnlHeaderAdministrator" Text="Administrator" runat="server" />
                            </h3>
                            <div class="row">
                                <div class="col-sm-12 col-lg-6" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblAdminpass" Text="Adminpassword:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtAdminpass" TextMode="Password" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblName" Text="Name for Help:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtName" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblEMail" Text="E-Mail for Help:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtEMail" runat="server" /><br />
                                            </td>
                                        </tr>
                                    </table>
                                    <telerik:RadCheckBox ID="chkSubjectFromList" runat="server" Text="allow Subject only from list"></telerik:RadCheckBox>
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadButton ID="bnSubjectList" runat="server" Text="..."></telerik:RadButton>
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadComboBox ID="cbLng" runat="server" AllowCustomText="True"></telerik:RadComboBox>
                                            </td>
                                        </tr>
                                    </table>
                                    <telerik:RadCheckBox ID="chkSaveOOFState" runat="server" Text="Save OOF-State (oofstate)"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkAllowTimelineforEveryone" runat="server" Text="Allow Timeline for all Users (otherwise authenticated Users)"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="cbHideUserPreview" runat="server" Text="Hide Preview-Form for userdetails"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="cbUpdateCheckAuto" runat="server" Text="Check for new Updates at startup (recommended)"></telerik:RadCheckBox>
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblMoreDomains" Text="Other Domains:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbMoreDomains" runat="server" /><br />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltxtTemplateDir" Text="Template-Folder:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtTemplateDir" runat="server" /><br />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltxtShutdown" Text="Shutdown:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtShutdown" runat="server" /><br />
                                            </td>
                                        </tr>


                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblLogLevel" Text="LogLevel:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadDropDownList ID="cboLoglevel" runat="server" DropDownHeight="200px" Width="200px" DropDownWidth="200px">
                                                </telerik:RadDropDownList>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </asp:Panel>
                    </telerik:RadPageView>

                    <%-- Extended --%>
                    <telerik:RadPageView runat="server" ID="RadPageView5">

                        <asp:Panel ID="lblExtend" runat="server">
                            <h3>
                                <telerik:RadLabel ID="pnlHeaderExtend" Text="Extend" runat="server" />
                            </h3>
                            <div class="row">
                                <div class="col-sm-12 col-lg-6" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                                    <br />
                                    <h4>
                                        <telerik:RadLabel ID="gbGlobalSettings" Text="Global settings" runat="server" />
                                    </h4>
                                    <telerik:RadCheckBox ID="chkForwardADOnly" runat="server" Text="Forward just over Active Directory. No Rules."></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkForwardRuleAsAttachment" runat="server" Text="Forward as Attachment in Rule."></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkDeleteADForwardingToo" runat="server" Text="On deactivate forwarding delete Inbox-Rule and AD"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkAutoSyncAd2Contact" runat="server" Text="Sync AD -> contact automatically:"></telerik:RadCheckBox>
                                    <br />

                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblLastSync" Text="Last sync:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadDatePicker ID="rdpccAutosyncUserNewer" runat="server" FocusedDate="2015-03-28" MaxDate="9998-12-31" MinDate="0001-02-01" SelectedDate="2015-03-28">
                                                    <Calendar Culture="de-DE" EnableWeekends="True" FastNavigationNextText="&amp;lt;&amp;lt;" UseColumnHeadersAsSelectors="False" UseRowHeadersAsSelectors="False" runat="server" FastNavigationSettings-EnableTodayButtonSelection="true">
                                                    </Calendar>
                                                    <DateInput DateFormat="dd.MM.yyyy" DisplayDateFormat="dd.MM.yyyy" DisplayText="28.03.2015" LabelWidth="40%" SelectedDate="2015-03-28" runat="server">
                                                        <EmptyMessageStyle Resize="None" />
                                                        <ReadOnlyStyle Resize="None" />
                                                        <FocusedStyle Resize="None" />
                                                        <DisabledStyle Resize="None" />
                                                        <InvalidStyle Resize="None" />
                                                        <HoveredStyle Resize="None" />
                                                        <EnabledStyle Resize="None" />
                                                    </DateInput>
                                                    <DatePopupButton />
                                                </telerik:RadDatePicker>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblGroup1" Text="Group 1:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadComboBox ID="tbGroupADFilter1" runat="server"></telerik:RadComboBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblGroup2" Text="Group 2:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadComboBox ID="tbGroupADFilter2" runat="server"></telerik:RadComboBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblGroup3" Text="Group 3:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadComboBox ID="tbGroupADFilter3" runat="server"></telerik:RadComboBox>
                                                <telerik:RadLabel ID="lblhlpGroup" Text="<Account>, $OUb/c/e/x=<OU>" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblGalDisplay" Text="GAL-Display:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="txtGALDisplay" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblColorRequired" Text="Required color:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadColorPicker ID="ColorBnRequired" ShowIcon="true" runat="server"></telerik:RadColorPicker>
                                                <telerik:RadButton ID="bnDefaultColor" runat="server" Text="..."></telerik:RadButton>
                                            </td>
                                        </tr>

                                    </table>



                                    <telerik:RadCheckBox ID="chkNRoS" runat="server" Text="No Read on StartUp (nros)"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="cbAllowUserFa" runat="server" Text="Allow user access to Full Access users"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="cbShowMeButton" runat="server" Text="Show 'Me' Button"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="cbAllowUserDelegate" runat="server" Text="Allow user access to Delegate"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkNoControlPanel" runat="server" Text="No control panel (ncp)"></telerik:RadCheckBox>
                                    <br />
                                    <h4>
                                        <telerik:RadLabel ID="gbMore" Text="More" runat="server" />
                                    </h4>
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltbextension" Text="extensionAttribut:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbextension" runat="server"></telerik:RadTextBox>
                                            </td>
                                        </tr>

                                    </table>
                                    <telerik:RadCheckBox ID="chkLowerCaseMail" runat="server" Text="Lower Case Mail"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkResetOofRules" runat="server" Text="Reset OOF-Rules"></telerik:RadCheckBox>
                                    <br />

                                    <h4>
                                        <telerik:RadLabel ID="gbButtons" Text="Buttons" runat="server" />
                                    </h4>

                                    <telerik:RadCheckBox ID="chkShowADPickerBn" runat="server" Text="AD-Picker"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkShowCNOUSelector" runat="server" Text="CNOU-Selector"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkShowADGroupSelector" runat="server" Text="ADGroup-Selector"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="chkShowOUSelector" runat="server" Text="OU-Selector"></telerik:RadCheckBox>
                                    <br />

                                    <table class="table table-condensed">

                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lbltbEWSSettingsUrl" Text="Settings-URL:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbEWSSettingsUrl" runat="server" />
                                                <telerik:RadLabel ID="lblInfoEWSSettingsURL" Text="https://mail.yourdomain.com/ci-oof.xml" runat="server" />
                                            </td>
                                        </tr>


                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblbgwUpDown" Text="Backgroundworker:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="bgwUpDown" runat="server" />
                                                <telerik:RadLabel ID="lblBwgInfo" Text="(9)" runat="server" />
                                            </td>
                                        </tr>

                                    </table>

                                </div>
                            </div>
                        </asp:Panel>
                    </telerik:RadPageView>

                    <%-- Parameters --%>
                    <telerik:RadPageView runat="server" ID="RadPageView6">

                        <asp:Panel ID="lblParameter" runat="server">
                            <h3>
                                <telerik:RadLabel ID="pnlHeaderParameters" Text="Parameter" runat="server" />
                            </h3>
                            <div class="row">
                                <div class="col-sm-12 col-lg-6" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                                    <telerik:RadLabel ID="lblParamInfo1" runat="server" Text="See user manual, chapter PARAMETERS AND FUNCTIONS, for a list of all possible parameters." />
                                    <br />
                                    <telerik:RadLabel ID="lblParamInfo2" runat="server" Text="Separate parameters by semikolon - ;" />
                                    <br />
                                    <telerik:RadLabel ID="lblParamInfo3" runat="server" Text="Here defined parameters have higher level, then command-line parameters" />
                                    <br />
                                    <br />
                                    <telerik:RadLabel ID="lblParamInfo4" runat="server" Text="Command-Line parameters for Admin-View: " />
                                    <br />
                                    <telerik:RadTextBox ID="tbClpAdmin" Width="80%" runat="server" />
                                    <br />
                                    <telerik:RadLabel ID="lblParamInfo5" runat="server" Text="Sample: /ldap:OU=myUsers,DC=cisolution,DC=local;/viewsize:300" />
                                    <br />
                                    <br />
                                    <br />
                                    <telerik:RadLabel ID="lblParamInfo6" runat="server" Text="Command-Line parameters for Userdialog-View:  (if selected at login-form or startet with /userdialog parameter)" />
                                    <br />
                                    <telerik:RadTextBox ID="tbClpUser" Width="80%" runat="server" />
                                    <br />
                                    <telerik:RadLabel ID="lblParamInfo7" runat="server" Text="Sample: /ldap:OU=myUsers,DC=cisolution,DC=local;/viewsize:300" />
                                    <br />
                                    <br />
                                    <br />
                                    <br />
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblProxyUser" Text="User:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbProxyUser" runat="server" /><br />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblProxyPassword" Text="Password:" runat="server" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbProxyPassword" TextMode="Password" runat="server" /><br />
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </asp:Panel>
                    </telerik:RadPageView>

                    <%-- Report --%>
                    <telerik:RadPageView runat="server" ID="RadPageView8">

                        <asp:Panel ID="pnlReport" runat="server">
                            <h3>
                                <telerik:RadLabel ID="pnlHeaderReport" Text="Report" runat="server" />
                            </h3>
                            <div class="row">
                                <div class="col-sm-12 col-lg-6" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                                    <telerik:RadCheckBox ID="chkSendLogsbyMail" runat="server" Text="Send Reports by E-mail"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="cbReportOnlyIfErrors" runat="server" Text="Report compact (only errors reported)"></telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadCheckBox ID="cbAttachLogs" runat="server" Text="Attach log files"></telerik:RadCheckBox>
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblMailSrv" runat="server" Text="SMTP Server or IP:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbMailSrv" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblMailSrvPort" runat="server" Text="SMTP Server port" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbMailSrvPort" runat="server" />
                                                <telerik:RadCheckBox ID="cbMailUseSSL" runat="server" Text="SSL"></telerik:RadCheckBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblMailUsr" runat="server" Text="User:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbeMailUsr" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblMailPass" runat="server" Text="Password:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbeMailPass" TextMode="Password" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblMailFrom" runat="server" Text="From:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbeMailFrom" runat="server" />
                                                <telerik:RadLabel ID="lblhlpMailFrom" runat="server" Text="Example: Administrator@Yourcompany.com" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblMailTo" runat="server" Text="To:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbeMailTO" runat="server" />
                                                <telerik:RadLabel ID="lblhlpMailTo" runat="server" Text="Example: Administrator@Yourcompany.com" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblMailSubject" runat="server" Text="Subject:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="tbeMailSubject" runat="server" />
                                                <telerik:RadLabel ID="lblhlpMailSubject" runat="server" Text="E-Mail Subject STARTS with this words." />
                                            </td>
                                        </tr>
                                    </table>
                                    <telerik:RadCheckBox ID="cbLogsJustOnError" runat="server" Text="Send just on error"></telerik:RadCheckBox>
                                    <br />
                                    <!--TODO !!! Button "Send Test E-Mail" still missing-->
                                </div>
                            </div>
                        </asp:Panel>
                    </telerik:RadPageView>

                    <%-- License --%>
                    <telerik:RadPageView runat="server" ID="RadPageView9">


                        <asp:Panel ID="pnlRegistration" runat="server">
                            <h3>
                                <telerik:RadLabel ID="pnlHeaderRegistration" Text="Registration" runat="server" />
                            </h3>
                            <div class="row">
                                <div class="col-sm-12 col-lg-6" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                                    <telerik:RadLabel ID="lblModeInfo" runat="server" Text="Demo/Registered" />
                                    <br />
                                    <table class="table table-condensed">
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblTextBoxName" runat="server" Text="Username:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="TextBoxName" Width="50%" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblTextBoxUsers" runat="server" Text="User Quantity:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="TextBoxUsers" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblDateTimePicker1" runat="server" Text="Date:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadDatePicker ID="DateTimePicker1" runat="server" FocusedDate="2015-03-28" MaxDate="9998-12-31" MinDate="0001-02-01" SelectedDate="2015-03-28">
                                                    <Calendar Culture="de-DE" EnableWeekends="True" FastNavigationNextText="&amp;lt;&amp;lt;" UseColumnHeadersAsSelectors="False" UseRowHeadersAsSelectors="False" runat="server" FastNavigationSettings-EnableTodayButtonSelection="true">
                                                    </Calendar>
                                                    <DateInput DateFormat="dd.MM.yyyy" DisplayDateFormat="dd.MM.yyyy" DisplayText="28.03.2015" LabelWidth="40%" SelectedDate="2015-03-28" runat="server">
                                                        <EmptyMessageStyle Resize="None" />
                                                        <ReadOnlyStyle Resize="None" />
                                                        <FocusedStyle Resize="None" />
                                                        <DisabledStyle Resize="None" />
                                                        <InvalidStyle Resize="None" />
                                                        <HoveredStyle Resize="None" />
                                                        <EnabledStyle Resize="None" />
                                                    </DateInput>
                                                    <DatePopupButton />
                                                </telerik:RadDatePicker>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblNumericUpDown1" runat="server" Text="Maintenance:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadNumericTextBox ID="NumericUpDown1" runat="server" Culture="de-DE" DbValueFactor="1" LabelWidth="64px" Value="20" Width="160px" MaxValue="9" MinValue="1" ShowSpinButtons="True" DataType="System.Int32">
                                                    <NegativeStyle Resize="None" />
                                                    <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                                                    <EmptyMessageStyle Resize="None" />
                                                    <ReadOnlyStyle Resize="None" />
                                                    <FocusedStyle Resize="None" />
                                                    <DisabledStyle Resize="None" />
                                                    <InvalidStyle Resize="None" />
                                                    <HoveredStyle Resize="None" />
                                                    <EnabledStyle Resize="None" />
                                                </telerik:RadNumericTextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="td-label col-sm-1">
                                                <telerik:RadLabel ID="lblTextBoxSerial" runat="server" Text="Serial:" />
                                            </td>
                                            <td class="td-value col-sm-5">
                                                <telerik:RadTextBox ID="TextBoxSerial" Width="50%" runat="server" />
                                            </td>
                                        </tr>
                                    </table>
                                    <telerik:RadCheckBox ID="cbIsProviderLicense" Enabled="false" runat="server" Text="Provider License">
                                    </telerik:RadCheckBox>
                                    <br />
                                    <telerik:RadLabel ID="lblProviderLicense" runat="server" Text="State of Provider-Licence is only set and changeable by Provider-Tool." />
                                </div>
                            </div>
                        </asp:Panel>


                    </telerik:RadPageView>
                </telerik:RadMultiPage>
                <br />
                <%--TODO--%>
                <telerik:RadButton ID="bcCmdlet" runat="server" Text="Exchange CMDLet's" Visible="false"></telerik:RadButton>
                <telerik:RadLabel ID="lblGobalInfo" runat="server" Text="These Settings are for NEW Users. New Users also created with this setting. If you will assign these Settings to existing users, do this in User-Administration" />
                <br />
                <telerik:RadLabel ID="lblFBA" Text="FBA = Form based authentication" runat="server" />
                <br />
                <telerik:RadLabel ID="lblSSL" Text="SSL = Secure Sockets Layer (https)" runat="server" />
                <br />
                <telerik:RadLabel ID="lblRequiredInputColor" BackColor="YellowGreen" Text="Input required" runat="server" />
                <br />
                <br />
                <telerik:RadButton ID="bnSave" runat="server" Text="Save"></telerik:RadButton>
            </div>

        </telerik:RadAjaxPanel>

    </asp:Panel>


    <br />
    <asp:Panel ID="pnlNoMaster" BackColor="NavajoWhite" Visible="false" runat="server">
        <div class="container-fluid">
            <br />
            <h1>
                <telerik:RadLabel ID="lblNoMasterUser" Text="No Administrator / Master user!" runat="server" />
                <br />
            </h1>
            <telerik:RadLabel ID="lblNoMasterUserText1" Text="You haven't rights while Not a Administrator or delegated." runat="server" />
            <br />
            <telerik:RadLabel ID="lblNoMasterUserText2" Text="Login as a Administrator / Master and open this page again." runat="server" />
            <br />
            <br />
        </div>
    </asp:Panel>

    <telerik:RadWindowManager RenderMode="Lightweight" runat="server" ID="RadWindowManager1"></telerik:RadWindowManager>
    <script type="text/javascript">
        function callBackFn(arg) {
            //alert("this is the client-side callback function. The RadAlert returned: " + arg);
        }
    </script>
</asp:Content>
