﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="OofUsers2.aspx.vb" Inherits="ci_oof_web.OofUsers2Page" MasterPageFile="~/Shared/MasterPageLayout.Master" ValidateRequest="false" EnableEventValidation="true" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="server">
    <telerik:RadAjaxPanel ID="myPanel" Height="100%" runat="server">

        <%--<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
    </telerik:RadCodeBlock>
    <telerik:RadAjaxManager ID="RadAjaxManger" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="bnAddUser">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Grid"/>
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
    </telerik:RadAjaxLoadingPanel>--%>

        <telerik:RadSplitter RenderMode="Lightweight" ID="RadSplitter" runat="server" Orientation="Horizontal" LiveResize="true"
            BorderSize="0" BorderWidth="0" PanesBorderSize="0" BorderStyle="None" Width="100%" Height="100%" VisibleDuringInit="false">
            <telerik:RadPane ID="RadPane3" runat="server" Height="48">
                <div style="padding: 5px;">
                    <asp:HyperLink ID="hlBack" runat="server" NavigateUrl="~/OofConfig.aspx" CssClass="skin-color">
                        <span class="fa fa-arrow-left" style="padding-right: 10px;"></span></asp:HyperLink>
                    <telerik:RadComboBox runat="server" ID="cbNewUser" Width="300" AutoPostBack="true" AllowCustomText="true"></telerik:RadComboBox>
                    <telerik:RadButton ID="bnAddUser" runat="server" Primary="true" Text="Add user"></telerik:RadButton>
                    <telerik:RadComboBox runat="server" ID="cbNewGroup" Width="300" AutoPostBack="true" AllowCustomText="true"></telerik:RadComboBox>
                    <telerik:RadButton ID="bnAddGroup" runat="server" Primary="true" Text="Add Group"></telerik:RadButton>

                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <telerik:RadButton ID="bnLoad" runat="server" Primary="false" Text="Load"></telerik:RadButton>
                <telerik:RadButton ID="bnSave" runat="server" Primary="false" Text="Save"></telerik:RadButton>
                </div>
            </telerik:RadPane>
            <telerik:RadSplitBar ID="RadSplitBar1" runat="server" EnableResize="false" />
            <telerik:RadPane ID="RadPane1" runat="server">
                <div class="row" style="margin-bottom: 15px;">
                    <div class="col-sm-12">
                        <asp:Panel ID="pnlWarning" runat="server">
                            <br />
                            <table style="width: 100%">
                                <tbody>
                                    <tr>
                                        <td style="vertical-align: middle; text-align: left; width: 50px; color: orange">
                                            <i class="fa fa-warning fa-2x"></i>
                                        </td>
                                        <td style="padding-left: 10px; vertical-align: middle;">
                                            <telerik:RadLabel ID="lblWarning" runat="server" Text="Label" CssClass="skin-color"></telerik:RadLabel>
                                        </td>
                                        <td style="vertical-align: middle; text-align: right; width: 120px;">
                                            <telerik:RadButton ID="btnClose" Primary="true" runat="server" Style="min-width: 100px;">
                                                <ContentTemplate>
                                                    <i class="fa fa-close"></i>
                                                    <asp:Literal ID="lblClose" runat="server" Text="Close"></asp:Literal>
                                                </ContentTemplate>
                                            </telerik:RadButton>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                            <br />
                        </asp:Panel>
                    </div>
                </div>


                <telerik:RadGrid ID="Grid" runat="server" BorderWidth="0px" Height="100%" AllowSorting="true" AutoGenerateColumns="false" ShowHeader="true">
                    <MasterTableView EditMode="EditForms">
                        <Columns>
                            <telerik:GridBoundColumn DataField="Usr_id" HeaderText="Usr_id" UniqueName="Usr_id" ColumnEditorID="Usr_id" HtmlEncode="true">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Username" HeaderText="Username" UniqueName="Username" HtmlEncode="true">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="UserAlias" HeaderText="UserAlias" UniqueName="UserAlias" HtmlEncode="true">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Language" HeaderText="Language" UniqueName="Language" HtmlEncode="true">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="ShowOnlyThisGrp" HeaderText="ShowOnlyThisGrp" UniqueName="ShowOnlyThisGrp" HtmlEncode="true">
                            </telerik:GridBoundColumn>
                            <telerik:GridCheckBoxColumn UniqueName="ShowForwardPanel" HeaderText="ShowForwardPanel" DataField="ShowForwardPanel" ColumnGroupName="ShowForwardPanel" />
                            <telerik:GridCheckBoxColumn UniqueName="ShowDateButton" HeaderText="ShowDateButton" DataField="ShowDateButton" ColumnGroupName="ShowDateButton" />
                            <telerik:GridCheckBoxColumn UniqueName="bUserIsAdmin" HeaderText="bUserIsAdmin" DataField="bUserIsAdmin" ColumnGroupName="bUserIsAdmin" />
                            <telerik:GridEditCommandColumn UniqueName="MyGridEditCommandColumn" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton text-nowrap" HeaderStyle-CssClass="rgRowActionButton" ButtonType="LinkButton">
                            </telerik:GridEditCommandColumn>
                            <telerik:GridButtonColumn UniqueName="MyGridDeleteCommandColumn" ButtonType="LinkButton" Text="Delete" CommandName="Delete" ConfirmText="Delete?" ItemStyle-Width="10" ItemStyle-CssClass="rgRowActionButton" HeaderStyle-CssClass="rgRowActionButton">
                            </telerik:GridButtonColumn>
                        </Columns>
                        <EditFormSettings EditFormType="Template">
                            <FormTemplate>
                                <div class="row" style="padding: 10px;">

                                    <div class="col-sm-2">
                                        <asp:Label runat="server" ID="lblUsr_id" AssociatedControlID="addUsr_id" Text="Usr_id"></asp:Label>
                                        <telerik:RadTextBox AutoPostBack="false" runat="server" Width="100%" ID="addUsr_id"></telerik:RadTextBox>
                                    </div>
                                    <div class="col-sm-2">
                                        <asp:Label runat="server" ID="lblUsername" AssociatedControlID="addUsername" Text="Username"></asp:Label>
                                        <telerik:RadTextBox runat="server" Width="100%" ID="addUsername"></telerik:RadTextBox>
                                    </div>
                                    <div class="col-sm-2">
                                        <asp:Label runat="server" ID="lblAlias" AssociatedControlID="addUserAlias" Text="UserAlias"></asp:Label>
                                        <telerik:RadTextBox runat="server" Width="100%" ID="addUserAlias"></telerik:RadTextBox>
                                    </div>
                                    <div class="col-sm-2">
                                        <asp:Label runat="server" ID="lblLanguage" AssociatedControlID="addLanguage" Text="Language"></asp:Label>
                                        <telerik:RadTextBox runat="server" Width="100%" ID="addLanguage"></telerik:RadTextBox>
                                    </div>
                                    <div class="col-sm-4">
                                        <asp:Label runat="server" ID="lblGroupname" AssociatedControlID="addShowOnlyThisGroup" Text="ShowOnlyThisGrp"></asp:Label>
                                        <telerik:RadTextBox runat="server" Width="100%" ID="addShowOnlyThisGroup"></telerik:RadTextBox>
                                    </div>
                                </div>

                                <div class="row" style="padding: 10px;">
                                    <div class="col-sm-3">
                                        <asp:Label runat="server" ID="lblShowForwardPanel" AssociatedControlID="addShowForwardPanel" Text="ShowForwardPanel"></asp:Label>
                                        <telerik:RadCheckBox AutoPostBack="false" CssClass="text-center" runat="server" Width="100%" ID="addShowForwardPanel"></telerik:RadCheckBox>
                                    </div>
                                    <div class="col-sm-3">
                                        <asp:Label runat="server" ID="lblShowDateButton" AssociatedControlID="addShowDateButton" Text="ShowDateButton"></asp:Label>
                                        <telerik:RadCheckBox AutoPostBack="false" CssClass="text-center" runat="server" Width="100%" ID="addShowDateButton"></telerik:RadCheckBox>
                                    </div>
                                    <div class="col-sm-3">
                                        <asp:Label runat="server" ID="lblbUserIsAdmin" AssociatedControlID="addbUserIsAdmin" Text="Admin"></asp:Label>
                                        <telerik:RadCheckBox AutoPostBack="false" CssClass="text-center" runat="server" Width="100%" ID="addbUserIsAdmin"></telerik:RadCheckBox>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-sm-12">
                                        <telerik:RadButton ID="UpdateButton" Text='<%# IIf((TypeOf (Container) Is GridEditFormInsertItem), "Add", "Save") %>' runat="server" CommandName='<%# IIf((TypeOf (Container) Is GridEditFormInsertItem), "PerformInsert", "Update")%>'></telerik:RadButton>
                                        <telerik:RadButton ID="CancelButton" Text="Cancel" runat="server" CausesValidation="False" CommandName="Cancel"></telerik:RadButton>
                                        <br />
                                        <br />
                                    </div>
                            </FormTemplate>

                        </EditFormSettings>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="Username" SortOrder="Ascending" />
                        </SortExpressions>
                    </MasterTableView>
                    <ClientSettings EnableRowHoverStyle="true">
                        <Selecting AllowRowSelect="true" />
                    </ClientSettings>
                </telerik:RadGrid>
            </telerik:RadPane>
        </telerik:RadSplitter>
    </telerik:RadAjaxPanel>
</asp:Content>
