﻿<%@ Page Title="Logon" Language="VB" AutoEventWireup="false" CodeBehind="logon.aspx.vb" Inherits="ci_oof_web.LogonPage" MasterPageFile="~/Shared/MasterPage.Master" %>


<asp:Content ID="Content2" ContentPlaceHolderID="Head" runat="server">
    <script type="text/javascript">
        function OnEnterKeyPress(sender, args) {
            if (args.get_keyCode() == '13') {
                var button = $find("<%=btnLogin.ClientID %>")
                if (button === null) {
                    button = $find("<%=btnContinue.ClientID %>")
                }
                button.click();
                args.set_cancel(true);
            }
        }
        var btnLoginOptionsId = "#<%=btnLoginOptions.ClientID %>";
        var tbPassId = "<%=txtPass.ClientID %>";

    </script>

</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" runat="server">

    <style type="text/css">
        body {
            background-image: url('images/AdobeStock_81519874_2020.jpg');
            background-repeat: no-repeat;
            background-attachment: fixed;
            background-position: left center;
        }

        .btnOptions.rbSelected, .btnOptions.btn:focus, .btnOptions.btn:active, .btnOptions.btn:focus:active {
            outline: none !important;
        }

        .displayNone {
            display: none !important;
        }

    </style>

    <div class="vertical-center">
        <div class="container">
            <div class="center-block" id="LogonBanner">
                <div class="banner white center-block" style="max-width: 400px; padding: 20px 35px;">


                    <div class="row">

                        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
                        </telerik:RadAjaxLoadingPanel>
                        <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" Width="100%" LoadingPanelID="RadAjaxLoadingPanel1" ClientEvents-OnResponseEnd="responseEnd">
                            <h2 class="text-center text-uppercase" runat="server">
                                <strong>
                                    <asp:Literal ID="lblHeader" Text="CI-Out-of-Office" runat="server"></asp:Literal><br />
                                </strong>
                                <span class="small"><small>
                                    <asp:Literal ID="lblCopyright" Text="© ci solution GmbH 2018-2020" runat="server"></asp:Literal></small><br />
                                </span>
                                <span class="small"><small>
                                    <asp:Literal ID="LiteralLogonAt" Text="Logon at your Office 365 Account." runat="server"></asp:Literal></small><br />
                                </span>
                            </h2>

                            <div class="form-group text-center">
                                <telerik:RadButton ID="imgBtnLngDE" runat="server" Width="50px" Height="50px" Text="Germany" AutoPostBack="true">
                                    <Image ImageUrl="images/flag_germany.png"></Image>
                                </telerik:RadButton>
                                <telerik:RadButton ID="imgBtnLngEN" runat="server" Width="50px" Height="50px" Text="UK">
                                    <Image ImageUrl="images/flag_united_kingdom.png"></Image>
                                </telerik:RadButton>
                                <telerik:RadButton ID="imgBtnLngUS" runat="server" Width="50px" Height="50px" Text="USA">
                                    <Image ImageUrl="images/flag_usa.png"></Image>
                                </telerik:RadButton>
                                <telerik:RadButton ID="imgBtnLngJP" runat="server" Width="50px" Height="50px" Text="Japan">
                                    <Image ImageUrl="images/flag_japan.png"></Image>
                                </telerik:RadButton>
                            </div>


                            <%-- Microsoft login --%>
                            <div class="col-lg-12 col-md-12 col-sm-12">
                                <asp:Panel ID="pnlMicrosoftLogon" Visible="false" runat="server">
                                    <telerik:RadButton runat="server" Primary="true" ID="btnMicrosoftAccount" NavigateUrl="?microsoft=true" CausesValidation="false" Text="Continue with Microsoft" CssClass="btn-block">
                                        <Icon PrimaryIconUrl="~/images/login_microsoft_logo.png" PrimaryIconHeight="22" PrimaryIconWidth="22" />
                                    </telerik:RadButton>

                            <%-- separator --%>
                            
                                <div class="login-col-line">
                                    <div class="login-or">
                                        <telerik:RadLabel ID="lblOr" Text="or" runat="server"></telerik:RadLabel>
                                    </div>
                                </div>
                            
                                </asp:Panel>
                            </div>

                            <%-- ci login --%>
                            <div class="col-lg-12 col-md-12 col-sm-12">

                                    <asp:Panel ID="pnlDefault" runat="server">
                                        <asp:ValidationSummary runat="server" EnableClientScript="false" CssClass="alert alert-danger" DisplayMode="List" ForeColor="DarkRed" />
                                        <asp:Panel ID="pnlEmail" CssClass="form-group" runat="server">
                                            <telerik:RadTextBox runat="server" InputType="Email" ID="txtEmail" Width="100%">
                                                <ClientEvents OnKeyPress="OnEnterKeyPress" />
                                            </telerik:RadTextBox>
                                            <asp:RequiredFieldValidator ID="EmailRequiredFieldValidator" runat="server" Display="Dynamic" Text="Invalid email" CssClass="input-validation"
                                                ControlToValidate="txtEmail"></asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="EmailFieldValidator" runat="server" Display="Dynamic" Text="Incorrect email" CssClass="input-validation" ControlToValidate="txtEmail" ValidationExpression="^[\w\.\-]+@[a-zA-Z0-9\-]+(\.[a-zA-Z0-9\-]{1,})*(\.[a-zA-Z]{2,3}){1,2}$"></asp:RegularExpressionValidator>
                                        </asp:Panel>
                                        <div class="form-group">
                                            <telerik:RadTextBox runat="server" ID="txtUser" Width="100%">
                                                <ClientEvents OnKeyPress="OnEnterKeyPress" />
                                            </telerik:RadTextBox>
                                            <asp:CustomValidator runat="server" ValidateEmptyText="false" ControlToValidate="txtUser" EnableClientScript="true" Text="Invalid username"></asp:CustomValidator>

                                        </div>

                                        <asp:Panel ID="pnlPassword" runat="server" CssClass="form-group" Style="display: none;" >
                                            <telerik:RadTextBox runat="server" ID="txtPass" Width="100%" TextMode="Password" >
                                                <ClientEvents OnKeyPress="OnEnterKeyPress" />
                                            </telerik:RadTextBox>
                                            <asp:CustomValidator runat="server" ValidateEmptyText="false" ControlToValidate="txtPass" EnableClientScript="true" Text="Password is required"></asp:CustomValidator>
                                        </asp:Panel>

                                        <div class="form-group">
                                            <telerik:RadButton runat="server" ID="btnContinue" UseSubmitBehavior="true" Text="Weiter" Primary="true" CssClass="btn-block">
                                            </telerik:RadButton>
                                        </div>

                                        <div class="form-group">
                                            <telerik:RadButton runat="server" ID="btnLogin" UseSubmitBehavior="true" Text="Sign in" Primary="true" CssClass="btn-block">
                                            </telerik:RadButton>
                                        </div>

                                        <div class="text-center">
                                            <asp:Label ID="lblMsg" style="color:red; line-height: 25px;" runat="server" />
                                        </div>

                                        <asp:Panel ID="pnlRememberMe" runat="server" CssClass="form-group">
                                            <div class="text-center">
                                                <telerik:RadCheckBox runat="server" ID="chkRememberMe" Text="Remember me" AutoPostBack="false" CausesValidation="true"></telerik:RadCheckBox>
                                                <br />
                                            </div>
                                        </asp:Panel>

                                        <asp:Panel ID="Panel1" runat="server" CssClass="form-group">
                                            <asp:Panel ID="pnlLoginOptions" runat="server" Style="text-align: center;">

                                                <telerik:RadButton RenderMode="Lightweight" ID="btnLoginOptions" AutoPostBack="false" CausesValidation="false"
                                                    runat="server" OnClientClicked="OnClientClicked" EnableBrowserButtonStyle="true" ButtonType="LinkButton" CssClass="btn btn-link btnOptions" 
                                                    EnableEmbeddedSkins="false" EnableEmbeddedBaseStylesheet="false" Text="Optionen" />

                                                <telerik:RadContextMenu ID="ctxmLoginOptions" runat="server" OnClientLoad="storeContextMenuReference">
                                                    <Items>
                                                        <telerik:RadMenuItem NavigateUrl="?showemail=true" SpriteCssClass="glyphicon glyphicon-ok">
                                                        </telerik:RadMenuItem>
                                                    </Items>
                                                </telerik:RadContextMenu>
                                            </asp:Panel>
                                        </asp:Panel>
                                    </asp:Panel>

                            </div>



                        </telerik:RadAjaxPanel>

                    </div>

                    <asp:Panel ID="pnlMaintenance" runat="server" Visible="false">
                        <asp:Literal ID="LiteralMaintenance" Text="test" runat="server"></asp:Literal>
                    </asp:Panel>
                    <asp:Label ID="lblError" ForeColor="Red" Font-Size="10pt" runat="server"
                        Font-Names="Verdana" />

                </div>
            </div>
        </div>
    </div>


    <script type="text/javascript">
        var contextMenu = null;

        function responseEnd(sender, eventArgs) {
            $("#Content_pnlPassword.toShow").animate({
                height: 'toggle'
            });
            var tbPass = $find(tbPassId);
            tbPass.focus();
        }

        function storeContextMenuReference(sender, args) {
            contextMenu = sender;
        }

        function OnClientClicked(sender,args) {
            var currentLocation = $telerik.getBounds(sender.get_element());
            contextMenu.showAt(currentLocation.x + document.body.scrollLeft + document.documentElement.scrollLeft,
                currentLocation.y + currentLocation.height + document.body.scrollTop + document.documentElement.scrollTop);
        }

        (function ($) {
            $(document).ready(function () {
                $(btnLoginOptionsId).removeClass("RadButton");
            }
            );
        })($telerik.$);

    </script>

</asp:Content>
